default['rhel7STIG']['XCCDF_result']['Manage'] = true

# R-204393 RHEL-07-010030
default['rhel7STIG']['stigrule_204393']['Manage'] = true
default['rhel7STIG']['stigrule_204393']['Title'] = "The Red Hat Enterprise Linux operating system must display the Standard Mandatory DoD Notice and Consent Banner before granting local or remote access to the system via a graphical user logon."
default['rhel7STIG']['stigrule_204393']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Path'] = '/etc/dconf/db/local.d/01-banner-message'
default['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Section'] = 'org/gnome/login-screen'
default['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Option'] = 'banner-message-enable'
default['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Value'] = 'true'
default['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Only_if'] = "rpm -q dconf"

# R-204394 RHEL-07-010040
default['rhel7STIG']['stigrule_204394']['Manage'] = true
default['rhel7STIG']['stigrule_204394']['Title'] = "The Red Hat Enterprise Linux operating system must display the approved Standard Mandatory DoD Notice and Consent Banner before granting local or remote access to the system via a graphical user logon."
default['rhel7STIG']['stigrule_204394']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Path'] = '/etc/dconf/db/local.d/01-banner-message'
default['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Section'] = 'org/gnome/login-screen'
default['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Option'] = 'banner-message-text'
default['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Value'] = '\'You are accessing a U.S. Government (USG) Information System (IS) that is provided for USG-authorized use only.\nBy using this IS (which includes any device attached to this IS), you consent to the following conditions:\n-The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.\n-At any time, the USG may inspect and seize data stored on this IS.\n-Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.\n-This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.\n-Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential. See User Agreement for details.\''
default['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Only_if'] = "rpm -q dconf"

# R-204395 RHEL-07-010050
default['rhel7STIG']['stigrule_204395']['Manage'] = true
default['rhel7STIG']['stigrule_204395']['Title'] = "The Red Hat Enterprise Linux operating system must display the Standard Mandatory DoD Notice and Consent Banner before granting local or remote access to the system via a command line user logon."
default['rhel7STIG']['stigrule_204395']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204395']['Setting']['_etc_issue_Path'] = '/etc/issue'
default['rhel7STIG']['stigrule_204395']['Setting']['_etc_issue_Content'] = 'You are accessing a U.S. Government (USG) Information System (IS) that is provided for USG-authorized use only.
By using this IS (which includes any device attached to this IS), you consent to the following conditions:
-The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
-At any time, the USG may inspect and seize data stored on this IS.
-Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
-This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.
-Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential. See User Agreement for details.
'

# R-204396 RHEL-07-010060
default['rhel7STIG']['stigrule_204396']['Manage'] = true
default['rhel7STIG']['stigrule_204396']['Title'] = "The Red Hat Enterprise Linux operating system must enable a user session lock until that user re-establishes access using established identification and authentication procedures."
default['rhel7STIG']['stigrule_204396']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Path'] = '/etc/dconf/db/local.d/00-screensaver'
default['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Section'] = 'org/gnome/desktop/screensaver'
default['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Option'] = 'lock-enabled'
default['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Value'] = 'true'
default['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Only_if'] = "rpm -q dconf"

# R-204398 RHEL-07-010070
default['rhel7STIG']['stigrule_204398']['Manage'] = true
default['rhel7STIG']['stigrule_204398']['Title'] = "The Red Hat Enterprise Linux operating system must initiate a screensaver after a 15-minute period of inactivity for graphical user interfaces."
default['rhel7STIG']['stigrule_204398']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Path'] = '/etc/dconf/db/local.d/00-screensaver'
default['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Section'] = 'org/gnome/desktop/session'
default['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Option'] = 'idle-delay'
default['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Value'] = 'uint32 900'
default['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Only_if'] = "rpm -q dconf"

# R-204402 RHEL-07-010100
default['rhel7STIG']['stigrule_204402']['Manage'] = true
default['rhel7STIG']['stigrule_204402']['Title'] = "The Red Hat Enterprise Linux operating system must initiate a session lock for the screensaver after a period of inactivity for graphical user interfaces."
default['rhel7STIG']['stigrule_204402']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Path'] = '/etc/dconf/db/local.d/00-screensaver'
default['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Section'] = 'org/gnome/desktop/screensaver'
default['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Option'] = 'idle-activation-enabled'
default['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Value'] = 'true'
default['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Only_if'] = "rpm -q dconf"

# R-204404 RHEL-07-010110
default['rhel7STIG']['stigrule_204404']['Manage'] = true
default['rhel7STIG']['stigrule_204404']['Title'] = "The Red Hat Enterprise Linux operating system must initiate a session lock for graphical user interfaces when the screensaver is activated."
default['rhel7STIG']['stigrule_204404']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Path'] = '/etc/dconf/db/local.d/00-screensaver'
default['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Section'] = 'org/gnome/desktop/screensaver'
default['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Option'] = 'lock-delay'
default['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Value'] = 'uint32 5'
default['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Only_if'] = "rpm -q dconf"

# R-204397 RHEL-07-010061
default['rhel7STIG']['stigrule_204397']['Manage'] = true
default['rhel7STIG']['stigrule_204397']['Title'] = "The Red Hat Enterprise Linux operating system must uniquely identify and must authenticate users using multifactor authentication via a graphical user logon."
default['rhel7STIG']['stigrule_204397']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Path'] = '/etc/dconf/db/local.d/00-defaults'
default['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Section'] = 'org/gnome/login-screen'
default['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Option'] = 'enable-smartcard-authentication'
default['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Value'] = 'true'
default['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Only_if'] = "rpm -q dconf"

# R-204399 RHEL-07-010081
default['rhel7STIG']['stigrule_204399']['Manage'] = true
default['rhel7STIG']['stigrule_204399']['Title'] = "The Red Hat Enterprise Linux operating system must prevent a user from overriding the screensaver lock-delay setting for the graphical user interface."
default['rhel7STIG']['stigrule_204399']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204399']['Setting']['_etc_dconf_db_local_d_locks_session_Path'] = '/etc/dconf/db/local.d/locks/session'
default['rhel7STIG']['stigrule_204399']['Setting']['_etc_dconf_db_local_d_locks_session_Line'] = '/org/gnome/desktop/screensaver/lock-delay'
default['rhel7STIG']['stigrule_204399']['Setting']['_etc_dconf_db_local_d_locks_session_Only_if'] = "rpm -q dconf"

# R-204400 RHEL-07-010082
default['rhel7STIG']['stigrule_204400']['Manage'] = true
default['rhel7STIG']['stigrule_204400']['Title'] = "The Red Hat Enterprise Linux operating system must prevent a user from overriding the session idle-delay setting for the graphical user interface."
default['rhel7STIG']['stigrule_204400']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204400']['Setting']['_etc_dconf_db_local_d_locks_session_Path'] = '/etc/dconf/db/local.d/locks/session'
default['rhel7STIG']['stigrule_204400']['Setting']['_etc_dconf_db_local_d_locks_session_Line'] = '/org/gnome/desktop/session/idle-delay'
default['rhel7STIG']['stigrule_204400']['Setting']['_etc_dconf_db_local_d_locks_session_Only_if'] = "rpm -q dconf"

# R-204403 RHEL-07-010101
default['rhel7STIG']['stigrule_204403']['Manage'] = true
default['rhel7STIG']['stigrule_204403']['Title'] = "The Red Hat Enterprise Linux operating system must prevent a user from overriding the screensaver idle-activation-enabled setting for the graphical user interface."
default['rhel7STIG']['stigrule_204403']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204403']['Setting']['_etc_dconf_db_local_d_locks_session_Path'] = '/etc/dconf/db/local.d/locks/session'
default['rhel7STIG']['stigrule_204403']['Setting']['_etc_dconf_db_local_d_locks_session_Line'] = '/org/gnome/desktop/screensaver/idle-activation-enabled'
default['rhel7STIG']['stigrule_204403']['Setting']['_etc_dconf_db_local_d_locks_session_Only_if'] = "rpm -q dconf"

# R-214937 RHEL-07-010062
default['rhel7STIG']['stigrule_214937']['Manage'] = true
default['rhel7STIG']['stigrule_214937']['Title'] = "The Red Hat Enterprise Linux operating system must prevent a user from overriding the screensaver lock-enabled setting for the graphical user interface."
default['rhel7STIG']['stigrule_214937']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_214937']['Setting']['_etc_dconf_db_local_d_locks_session_Path'] = '/etc/dconf/db/local.d/locks/session'
default['rhel7STIG']['stigrule_214937']['Setting']['_etc_dconf_db_local_d_locks_session_Line'] = '/org/gnome/desktop/screensaver/lock-enabled'
default['rhel7STIG']['stigrule_214937']['Setting']['_etc_dconf_db_local_d_locks_session_Only_if'] = "rpm -q dconf"

# R-204407 RHEL-07-010120
default['rhel7STIG']['stigrule_204407']['Manage'] = true
default['rhel7STIG']['stigrule_204407']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that when passwords are changed or new passwords are established, the new password must contain at least one upper-case character."
default['rhel7STIG']['stigrule_204407']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204407']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204407']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*ucredit'
default['rhel7STIG']['stigrule_204407']['Setting']['_etc_security_pwquality_conf_Line'] = 'ucredit = -1'

# R-204408 RHEL-07-010130
default['rhel7STIG']['stigrule_204408']['Manage'] = true
default['rhel7STIG']['stigrule_204408']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that when passwords are changed or new passwords are established, the new password must contain at least one lower-case character."
default['rhel7STIG']['stigrule_204408']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204408']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204408']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*lcredit'
default['rhel7STIG']['stigrule_204408']['Setting']['_etc_security_pwquality_conf_Line'] = 'lcredit = -1'

# R-204409 RHEL-07-010140
default['rhel7STIG']['stigrule_204409']['Manage'] = true
default['rhel7STIG']['stigrule_204409']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that when passwords are changed or new passwords are assigned, the new password must contain at least one numeric character."
default['rhel7STIG']['stigrule_204409']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204409']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204409']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*dcredit'
default['rhel7STIG']['stigrule_204409']['Setting']['_etc_security_pwquality_conf_Line'] = 'dcredit = -1'

# R-204410 RHEL-07-010150
default['rhel7STIG']['stigrule_204410']['Manage'] = true
default['rhel7STIG']['stigrule_204410']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that when passwords are changed or new passwords are established, the new password must contain at least one special character."
default['rhel7STIG']['stigrule_204410']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204410']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204410']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*ocredit'
default['rhel7STIG']['stigrule_204410']['Setting']['_etc_security_pwquality_conf_Line'] = 'ocredit = -1'

# R-204411 RHEL-07-010160
default['rhel7STIG']['stigrule_204411']['Manage'] = true
default['rhel7STIG']['stigrule_204411']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that when passwords are changed a minimum of eight of the total number of characters must be changed."
default['rhel7STIG']['stigrule_204411']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204411']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204411']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*difok'
default['rhel7STIG']['stigrule_204411']['Setting']['_etc_security_pwquality_conf_Line'] = 'difok = 8'

# R-204412 RHEL-07-010170
default['rhel7STIG']['stigrule_204412']['Manage'] = true
default['rhel7STIG']['stigrule_204412']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that when passwords are changed a minimum of four character classes must be changed."
default['rhel7STIG']['stigrule_204412']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204412']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204412']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*minclass'
default['rhel7STIG']['stigrule_204412']['Setting']['_etc_security_pwquality_conf_Line'] = 'minclass = 4'

# R-204413 RHEL-07-010180
default['rhel7STIG']['stigrule_204413']['Manage'] = true
default['rhel7STIG']['stigrule_204413']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that when passwords are changed the number of repeating consecutive characters must not be more than three characters."
default['rhel7STIG']['stigrule_204413']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204413']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204413']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*maxrepeat'
default['rhel7STIG']['stigrule_204413']['Setting']['_etc_security_pwquality_conf_Line'] = 'maxrepeat = 3'

# R-204414 RHEL-07-010190
default['rhel7STIG']['stigrule_204414']['Manage'] = true
default['rhel7STIG']['stigrule_204414']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that when passwords are changed the number of repeating characters of the same character class must not be more than four characters."
default['rhel7STIG']['stigrule_204414']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204414']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204414']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*maxclassrepeat'
default['rhel7STIG']['stigrule_204414']['Setting']['_etc_security_pwquality_conf_Line'] = 'maxclassrepeat = 4'

# R-204423 RHEL-07-010280
default['rhel7STIG']['stigrule_204423']['Manage'] = true
default['rhel7STIG']['stigrule_204423']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that passwords are a minimum of 15 characters in length."
default['rhel7STIG']['stigrule_204423']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204423']['Setting']['_etc_security_pwquality_conf_Path'] = '/etc/security/pwquality.conf'
default['rhel7STIG']['stigrule_204423']['Setting']['_etc_security_pwquality_conf_Regexp'] = '^\s*minlen'
default['rhel7STIG']['stigrule_204423']['Setting']['_etc_security_pwquality_conf_Line'] = 'minlen = 15'

# R-204416 RHEL-07-010210
default['rhel7STIG']['stigrule_204416']['Manage'] = true
default['rhel7STIG']['stigrule_204416']['Title'] = "The Red Hat Enterprise Linux operating system must be configured to use the shadow file to store only encrypted representations of passwords."
default['rhel7STIG']['stigrule_204416']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204416']['Setting']['_etc_login_defs_Path'] = '/etc/login.defs'
default['rhel7STIG']['stigrule_204416']['Setting']['_etc_login_defs_Regexp'] = '^ENCRYPT_METHOD'
default['rhel7STIG']['stigrule_204416']['Setting']['_etc_login_defs_Line'] = 'ENCRYPT_METHOD SHA512'

# R-204418 RHEL-07-010230
default['rhel7STIG']['stigrule_204418']['Manage'] = true
default['rhel7STIG']['stigrule_204418']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that passwords for new users are restricted to a 24 hours/1 day minimum lifetime."
default['rhel7STIG']['stigrule_204418']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204418']['Setting']['_etc_login_defs_Path'] = '/etc/login.defs'
default['rhel7STIG']['stigrule_204418']['Setting']['_etc_login_defs_Regexp'] = '^PASS_MIN_DAYS'
default['rhel7STIG']['stigrule_204418']['Setting']['_etc_login_defs_Line'] = 'PASS_MIN_DAYS 1'

# R-204420 RHEL-07-010250
default['rhel7STIG']['stigrule_204420']['Manage'] = true
default['rhel7STIG']['stigrule_204420']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that passwords for new users are restricted to a 60-day maximum lifetime."
default['rhel7STIG']['stigrule_204420']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204420']['Setting']['_etc_login_defs_Path'] = '/etc/login.defs'
default['rhel7STIG']['stigrule_204420']['Setting']['_etc_login_defs_Regexp'] = '^PASS_MAX_DAYS'
default['rhel7STIG']['stigrule_204420']['Setting']['_etc_login_defs_Line'] = 'PASS_MAX_DAYS 60'

# R-204431 RHEL-07-010430
default['rhel7STIG']['stigrule_204431']['Manage'] = true
default['rhel7STIG']['stigrule_204431']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the delay between logon prompts following a failed console logon attempt is at least four seconds."
default['rhel7STIG']['stigrule_204431']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204431']['Setting']['_etc_login_defs_Path'] = '/etc/login.defs'
default['rhel7STIG']['stigrule_204431']['Setting']['_etc_login_defs_Regexp'] = '^FAIL_DELAY'
default['rhel7STIG']['stigrule_204431']['Setting']['_etc_login_defs_Line'] = 'FAIL_DELAY 4'

# R-204457 RHEL-07-020240
default['rhel7STIG']['stigrule_204457']['Manage'] = true
default['rhel7STIG']['stigrule_204457']['Title'] = "The Red Hat Enterprise Linux operating system must define default permissions for all authenticated users in such a way that the user can only read and modify their own files."
default['rhel7STIG']['stigrule_204457']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204457']['Setting']['_etc_login_defs_Path'] = '/etc/login.defs'
default['rhel7STIG']['stigrule_204457']['Setting']['_etc_login_defs_Regexp'] = '^UMASK'
default['rhel7STIG']['stigrule_204457']['Setting']['_etc_login_defs_Line'] = 'UMASK 077'

# R-204466 RHEL-07-020610
default['rhel7STIG']['stigrule_204466']['Manage'] = true
default['rhel7STIG']['stigrule_204466']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that all local interactive user accounts, upon creation, are assigned a home directory."
default['rhel7STIG']['stigrule_204466']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204466']['Setting']['_etc_login_defs_Path'] = '/etc/login.defs'
default['rhel7STIG']['stigrule_204466']['Setting']['_etc_login_defs_Regexp'] = '^CREATE_HOME'
default['rhel7STIG']['stigrule_204466']['Setting']['_etc_login_defs_Line'] = 'CREATE_HOME yes'

# R-204417 RHEL-07-010220
default['rhel7STIG']['stigrule_204417']['Manage'] = true
default['rhel7STIG']['stigrule_204417']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that user and group account administration utilities are configured to store only encrypted representations of passwords."
default['rhel7STIG']['stigrule_204417']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204417']['Setting']['_etc_libuser_conf_Path'] = '/etc/libuser.conf'
default['rhel7STIG']['stigrule_204417']['Setting']['_etc_libuser_conf_Section'] = 'defaults'
default['rhel7STIG']['stigrule_204417']['Setting']['_etc_libuser_conf_Option'] = 'crypt_style'
default['rhel7STIG']['stigrule_204417']['Setting']['_etc_libuser_conf_Value'] = 'sha512'

# R-204419 RHEL-07-010240
default['rhel7STIG']['stigrule_204419']['Manage'] = true
default['rhel7STIG']['stigrule_204419']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that passwords are restricted to a 24 hours/1 day minimum lifetime."
default['rhel7STIG']['stigrule_204419']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204419']['Setting']['chage__m_1_user_Command'] = "chage -m 1"

# R-204421 RHEL-07-010260
default['rhel7STIG']['stigrule_204421']['Manage'] = true
default['rhel7STIG']['stigrule_204421']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that existing passwords are restricted to a 60-day maximum lifetime."
default['rhel7STIG']['stigrule_204421']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204421']['Setting']['chage__M_60_user_Command'] = "chage -M 60"

# R-204425 RHEL-07-010300
default['rhel7STIG']['stigrule_204425']['Manage'] = true
default['rhel7STIG']['stigrule_204425']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon does not allow authentication using an empty password."
default['rhel7STIG']['stigrule_204425']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204425']['Setting']['PermitEmptyPasswords_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204425']['Setting']['PermitEmptyPasswords_Regexp'] = '^\s*(?i)PermitEmptyPasswords\s+'
default['rhel7STIG']['stigrule_204425']['Setting']['PermitEmptyPasswords_Line'] = 'PermitEmptyPasswords no'
default['rhel7STIG']['stigrule_204425']['Setting']['PermitEmptyPasswords_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204426 RHEL-07-010310
default['rhel7STIG']['stigrule_204426']['Manage'] = true
default['rhel7STIG']['stigrule_204426']['Title'] = "The Red Hat Enterprise Linux operating system must disable account identifiers (individuals, groups, roles, and devices) if the password expires."
default['rhel7STIG']['stigrule_204426']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204426']['Setting']['_etc_default_useradd_Path'] = '/etc/default/useradd'
default['rhel7STIG']['stigrule_204426']['Setting']['_etc_default_useradd_Regexp'] = '^INACTIVE'
default['rhel7STIG']['stigrule_204426']['Setting']['_etc_default_useradd_Line'] = 'INACTIVE=0'

# R-204432 RHEL-07-010440
default['rhel7STIG']['stigrule_204432']['Manage'] = true
default['rhel7STIG']['stigrule_204432']['Title'] = "The Red Hat Enterprise Linux operating system must not allow an unattended or automatic logon to the system via a graphical user interface."
default['rhel7STIG']['stigrule_204432']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Path'] = '/etc/gdm/custom.conf'
default['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Section'] = 'daemon'
default['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Option'] = 'AutomaticLoginEnable'
default['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Value'] = 'false'
default['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Only_if'] = "rpm -q gdm"

# R-204433 RHEL-07-010450
default['rhel7STIG']['stigrule_204433']['Manage'] = true
default['rhel7STIG']['stigrule_204433']['Title'] = "The Red Hat Enterprise Linux operating system must not allow an unrestricted logon to the system."
default['rhel7STIG']['stigrule_204433']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Path'] = '/etc/gdm/custom.conf'
default['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Section'] = 'daemon'
default['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Option'] = 'TimedLoginEnable'
default['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Value'] = 'false'
default['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Only_if'] = "rpm -q gdm"

# R-204434 RHEL-07-010460
default['rhel7STIG']['stigrule_204434']['Manage'] = true
default['rhel7STIG']['stigrule_204434']['Title'] = "The Red Hat Enterprise Linux operating system must not allow users to override SSH environment variables."
default['rhel7STIG']['stigrule_204434']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204434']['Setting']['PermitUserEnvironment_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204434']['Setting']['PermitUserEnvironment_Regexp'] = '^\s*(?i)PermitUserEnvironment\s+'
default['rhel7STIG']['stigrule_204434']['Setting']['PermitUserEnvironment_Line'] = 'PermitUserEnvironment no'
default['rhel7STIG']['stigrule_204434']['Setting']['PermitUserEnvironment_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204435 RHEL-07-010470
default['rhel7STIG']['stigrule_204435']['Manage'] = true
default['rhel7STIG']['stigrule_204435']['Title'] = "The Red Hat Enterprise Linux operating system must not allow a non-certificate trusted host SSH logon to the system."
default['rhel7STIG']['stigrule_204435']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204435']['Setting']['HostbasedAuthentication_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204435']['Setting']['HostbasedAuthentication_Regexp'] = '^\s*(?i)HostbasedAuthentication\s+'
default['rhel7STIG']['stigrule_204435']['Setting']['HostbasedAuthentication_Line'] = 'HostbasedAuthentication no'
default['rhel7STIG']['stigrule_204435']['Setting']['HostbasedAuthentication_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204442 RHEL-07-020000
default['rhel7STIG']['stigrule_204442']['Manage'] = true
default['rhel7STIG']['stigrule_204442']['Title'] = "The Red Hat Enterprise Linux operating system must not have the rsh-server package installed."
default['rhel7STIG']['stigrule_204442']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204442']['Setting']['rsh_server_PackageName'] = 'rsh-server'
default['rhel7STIG']['stigrule_204442']['Setting']['rsh_server_Action'] = :remove

# R-204443 RHEL-07-020010
default['rhel7STIG']['stigrule_204443']['Manage'] = true
default['rhel7STIG']['stigrule_204443']['Title'] = "The Red Hat Enterprise Linux operating system must not have the ypserv package installed."
default['rhel7STIG']['stigrule_204443']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204443']['Setting']['ypserv_PackageName'] = 'ypserv'
default['rhel7STIG']['stigrule_204443']['Setting']['ypserv_Action'] = :remove

# R-204445 RHEL-07-020030
# Edit email address.
default['rhel7STIG']['stigrule_204445']['Manage'] = true
default['rhel7STIG']['stigrule_204445']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that a file integrity tool verifies the baseline operating system configuration at least weekly."
default['rhel7STIG']['stigrule_204445']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204445']['Setting']['_etc_cron_daily_aide_Path'] = '/etc/cron.daily/aide'
default['rhel7STIG']['stigrule_204445']['Setting']['_etc_cron_daily_aide_Content'] = '#!/bin/bash

/usr/sbin/aide --check | /bin/mail -s "$HOSTNAME - Daily aide integrity check run" root'
default['rhel7STIG']['stigrule_204445']['Setting']['_etc_cron_daily_aide_Mode'] = '700'

default['rhel7STIG']['stigrule_204445']['Setting']['aide_PackageName'] = 'aide'
default['rhel7STIG']['stigrule_204445']['Setting']['aide_Action'] = :install

# R-204446 RHEL-07-020040
# Edit email address.
default['rhel7STIG']['stigrule_204446']['Manage'] = true
default['rhel7STIG']['stigrule_204446']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that designated personnel are notified if baseline configurations are changed in an unauthorized manner."
default['rhel7STIG']['stigrule_204446']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204446']['Setting']['_etc_cron_daily_aide_notify_Path'] = '/etc/cron.daily/aide'
default['rhel7STIG']['stigrule_204446']['Setting']['_etc_cron_daily_aide_notify_Content'] = '#!/bin/bash

/usr/sbin/aide --check | /bin/mail -s "$HOSTNAME - Daily aide integrity check run" root'
default['rhel7STIG']['stigrule_204446']['Setting']['_etc_cron_daily_aide_notify_Mode'] = '700'

default['rhel7STIG']['stigrule_204446']['Setting']['aide_notify_PackageName'] = 'aide'
default['rhel7STIG']['stigrule_204446']['Setting']['aide_notify_Action'] = :install

# R-204447 RHEL-07-020050
default['rhel7STIG']['stigrule_204447']['Manage'] = true
default['rhel7STIG']['stigrule_204447']['Title'] = "The Red Hat Enterprise Linux operating system must prevent the installation of software, patches, service packs, device drivers, or operating system components from a repository without verification they have been digitally signed using a certificate that is issued by a Certificate Authority (CA) that is recognized and approved by the organization."
default['rhel7STIG']['stigrule_204447']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204447']['Setting']['_etc_yum_conf_Path'] = '/etc/yum.conf'
default['rhel7STIG']['stigrule_204447']['Setting']['_etc_yum_conf_Section'] = 'main'
default['rhel7STIG']['stigrule_204447']['Setting']['_etc_yum_conf_Option'] = 'gpgcheck'
default['rhel7STIG']['stigrule_204447']['Setting']['_etc_yum_conf_Value'] = '1'

# R-204448 RHEL-07-020060
default['rhel7STIG']['stigrule_204448']['Manage'] = true
default['rhel7STIG']['stigrule_204448']['Title'] = "The Red Hat Enterprise Linux operating system must prevent the installation of software, patches, service packs, device drivers, or operating system components of local packages without verification they have been digitally signed using a certificate that is issued by a Certificate Authority (CA) that is recognized and approved by the organization."
default['rhel7STIG']['stigrule_204448']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204448']['Setting']['_etc_yum_conf_Path'] = '/etc/yum.conf'
default['rhel7STIG']['stigrule_204448']['Setting']['_etc_yum_conf_Section'] = 'main'
default['rhel7STIG']['stigrule_204448']['Setting']['_etc_yum_conf_Option'] = 'localpkg_gpgcheck'
default['rhel7STIG']['stigrule_204448']['Setting']['_etc_yum_conf_Value'] = '1'

# R-204452 RHEL-07-020200
default['rhel7STIG']['stigrule_204452']['Manage'] = true
default['rhel7STIG']['stigrule_204452']['Title'] = "The Red Hat Enterprise Linux operating system must remove all software components after updated versions have been installed."
default['rhel7STIG']['stigrule_204452']['Severity'] = 'low'
default['rhel7STIG']['stigrule_204452']['Setting']['_etc_yum_conf_Path'] = '/etc/yum.conf'
default['rhel7STIG']['stigrule_204452']['Setting']['_etc_yum_conf_Section'] = 'main'
default['rhel7STIG']['stigrule_204452']['Setting']['_etc_yum_conf_Option'] = 'clean_requirements_on_remove'
default['rhel7STIG']['stigrule_204452']['Setting']['_etc_yum_conf_Value'] = '1'

# R-204449 RHEL-07-020100
default['rhel7STIG']['stigrule_204449']['Manage'] = true
default['rhel7STIG']['stigrule_204449']['Title'] = "The Red Hat Enterprise Linux operating system must be configured to disable USB mass storage."
default['rhel7STIG']['stigrule_204449']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_blacklist_conf_Path'] = '/etc/modprobe.d/blacklist.conf'
default['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_blacklist_conf_Regexp'] = '^blacklist usb-storage'
default['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_blacklist_conf_Line'] = 'blacklist usb-storage'

# R-204450 RHEL-07-020101
default['rhel7STIG']['stigrule_204450']['Manage'] = true
default['rhel7STIG']['stigrule_204450']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the Datagram Congestion Control Protocol (DCCP) kernel module is disabled unless required."
default['rhel7STIG']['stigrule_204450']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_blacklist_conf_Path'] = '/etc/modprobe.d/blacklist.conf'
default['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_blacklist_conf_Regexp'] = '^\s*blacklist dccp'
default['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_blacklist_conf_Line'] = 'blacklist dccp'

default['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_usb_storage_conf_Path'] = '/etc/modprobe.d/usb-storage.conf'
default['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_usb_storage_conf_Regexp'] = '^install usb-storage'
default['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_usb_storage_conf_Line'] = 'install usb-storage /bin/true'

default['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_dccp_conf_Path'] = '/etc/modprobe.d/dccp.conf'
default['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_dccp_conf_Content'] = 'install dccp /bin/true'

# R-204451 RHEL-07-020110
default['rhel7STIG']['stigrule_204451']['Manage'] = true
default['rhel7STIG']['stigrule_204451']['Title'] = "The Red Hat Enterprise Linux operating system must disable the file system automounter unless required."
default['rhel7STIG']['stigrule_204451']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204451']['Setting']['autofs_disable_ServiceName'] = 'autofs'
default['rhel7STIG']['stigrule_204451']['Setting']['autofs_disable_Action'] = :disable

default['rhel7STIG']['stigrule_204451']['Setting']['autofs_stop_ServiceName'] = 'autofs'
default['rhel7STIG']['stigrule_204451']['Setting']['autofs_stop_Action'] = :stop

# R-204453 RHEL-07-020210
default['rhel7STIG']['stigrule_204453']['Manage'] = true
default['rhel7STIG']['stigrule_204453']['Title'] = "The Red Hat Enterprise Linux operating system must enable SELinux."
default['rhel7STIG']['stigrule_204453']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204453']['Setting']['_etc_selinux_config_Path'] = '/etc/selinux/config'
default['rhel7STIG']['stigrule_204453']['Setting']['_etc_selinux_config_Regexp'] = '^SELINUX='
default['rhel7STIG']['stigrule_204453']['Setting']['_etc_selinux_config_Line'] = 'SELINUX=enforcing'

# R-204454 RHEL-07-020220
default['rhel7STIG']['stigrule_204454']['Manage'] = true
default['rhel7STIG']['stigrule_204454']['Title'] = "The Red Hat Enterprise Linux operating system must enable the SELinux targeted policy."
default['rhel7STIG']['stigrule_204454']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204454']['Setting']['_etc_selinux_config_Path'] = '/etc/selinux/config'
default['rhel7STIG']['stigrule_204454']['Setting']['_etc_selinux_config_Regexp'] = '^SELINUXTYPE='
default['rhel7STIG']['stigrule_204454']['Setting']['_etc_selinux_config_Line'] = 'SELINUXTYPE=targeted'

# R-204455 RHEL-07-020230
default['rhel7STIG']['stigrule_204455']['Manage'] = true
default['rhel7STIG']['stigrule_204455']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the x86 Ctrl-Alt-Delete key sequence is disabled on the command line."
default['rhel7STIG']['stigrule_204455']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204455']['Setting']['systemctl_mask_ctrl_alt_del_target_Command'] = "systemctl mask ctrl-alt-del.target"
default['rhel7STIG']['stigrule_204455']['Setting']['systemctl_mask_ctrl_alt_del_target_Only_if'] = "! systemctl status ctrl-alt-del.target | grep -q 'Loaded: masked'"

# R-204489 RHEL-07-021100
default['rhel7STIG']['stigrule_204489']['Manage'] = true
default['rhel7STIG']['stigrule_204489']['Title'] = "The Red Hat Enterprise Linux operating system must have cron logging implemented."
default['rhel7STIG']['stigrule_204489']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204489']['Setting']['_etc_rsyslog_conf_Path'] = '/etc/rsyslog.conf'
default['rhel7STIG']['stigrule_204489']['Setting']['_etc_rsyslog_conf_Regexp'] = '^cron\.\* '
default['rhel7STIG']['stigrule_204489']['Setting']['_etc_rsyslog_conf_Line'] = 'cron.* /var/log/cron.log'

# R-204490 RHEL-07-021110
default['rhel7STIG']['stigrule_204490']['Manage'] = true
default['rhel7STIG']['stigrule_204490']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the cron.allow file, if it exists, is owned by root."
default['rhel7STIG']['stigrule_204490']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204490']['Setting']['_etc_cron_allow_Path'] = '/etc/cron.allow'
default['rhel7STIG']['stigrule_204490']['Setting']['_etc_cron_allow_Owner'] = 'root'
default['rhel7STIG']['stigrule_204490']['Setting']['_etc_cron_allow_Only_if'] = "[[ -e /etc/cron.allow ]] && exit 0"

# R-204491 RHEL-07-021120
default['rhel7STIG']['stigrule_204491']['Manage'] = true
default['rhel7STIG']['stigrule_204491']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the cron.allow file, if it exists, is group-owned by root."
default['rhel7STIG']['stigrule_204491']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204491']['Setting']['_etc_cron_allow_Path'] = '/etc/cron.allow'
default['rhel7STIG']['stigrule_204491']['Setting']['_etc_cron_allow_Group'] = 'root'
default['rhel7STIG']['stigrule_204491']['Setting']['_etc_cron_allow_Only_if'] = "[[ -e /etc/cron.allow ]] && exit 0"

# R-204492 RHEL-07-021300
# If kernel core dumps are required, document the need with the ISSO.
default['rhel7STIG']['stigrule_204492']['Manage'] = true
default['rhel7STIG']['stigrule_204492']['Title'] = "The Red Hat Enterprise Linux operating system must disable Kernel core dumps unless needed."
default['rhel7STIG']['stigrule_204492']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204492']['Setting']['kdump_disable_ServiceName'] = 'kdump'
default['rhel7STIG']['stigrule_204492']['Setting']['kdump_disable_Action'] = :disable

default['rhel7STIG']['stigrule_204492']['Setting']['kdump_stop_ServiceName'] = 'kdump'
default['rhel7STIG']['stigrule_204492']['Setting']['kdump_stop_Action'] = :stop

# R-204496 RHEL-07-021340
default['rhel7STIG']['stigrule_204496']['Manage'] = true
default['rhel7STIG']['stigrule_204496']['Title'] = "The Red Hat Enterprise Linux operating system must use a separate file system for /tmp (or equivalent)."
default['rhel7STIG']['stigrule_204496']['Severity'] = 'low'
default['rhel7STIG']['stigrule_204496']['Setting']['tmp_mount_ServiceName'] = 'tmp.mount'
default['rhel7STIG']['stigrule_204496']['Setting']['tmp_mount_Action'] = :enable

# R-204502 RHEL-07-021710
default['rhel7STIG']['stigrule_204502']['Manage'] = true
default['rhel7STIG']['stigrule_204502']['Title'] = "The Red Hat Enterprise Linux operating system must not have the telnet-server package installed."
default['rhel7STIG']['stigrule_204502']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204502']['Setting']['telnet_server_PackageName'] = 'telnet-server'
default['rhel7STIG']['stigrule_204502']['Setting']['telnet_server_Action'] = :remove

# R-204503 RHEL-07-030000
default['rhel7STIG']['stigrule_204503']['Manage'] = true
default['rhel7STIG']['stigrule_204503']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that auditing is configured to produce records containing information to establish what type of events occurred, where the events occurred, the source of the events, and the outcome of the events. These audit records must also identify individual identities of group account users."
default['rhel7STIG']['stigrule_204503']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204503']['Setting']['auditd_enable_ServiceName'] = 'auditd'
default['rhel7STIG']['stigrule_204503']['Setting']['auditd_enable_Action'] = :enable

default['rhel7STIG']['stigrule_204503']['Setting']['auditd_start_ServiceName'] = 'auditd'
default['rhel7STIG']['stigrule_204503']['Setting']['auditd_start_Action'] = :start

# R-204504 RHEL-07-030010
default['rhel7STIG']['stigrule_204504']['Manage'] = true
default['rhel7STIG']['stigrule_204504']['Title'] = "The Red Hat Enterprise Linux operating system must shut down upon audit processing failure, unless availability is an overriding concern. If availability is a concern, the system must alert the designated staff (System Administrator [SA] and Information System Security Officer [ISSO] at a minimum) in the event of an audit processing failure."
default['rhel7STIG']['stigrule_204504']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204504']['Setting']['_etc_audit_rules_d_audit_rules_critical_error_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204504']['Setting']['_etc_audit_rules_d_audit_rules_critical_error_Regexp'] = '^-f '
default['rhel7STIG']['stigrule_204504']['Setting']['_etc_audit_rules_d_audit_rules_critical_error_Line'] = '-f 2'

# R-204506 RHEL-07-030201
default['rhel7STIG']['stigrule_204506']['Manage'] = true
default['rhel7STIG']['stigrule_204506']['Title'] = "The Red Hat Enterprise Linux operating system must be configured to off-load audit logs onto a different system or storage media from the system being audited."
default['rhel7STIG']['stigrule_204506']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_direction_Path'] = '/etc/audisp/plugins.d/au-remote.conf'
default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_direction_Regexp'] = '^direction = '
default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_direction_Line'] = 'direction = out'

default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_path_Path'] = '/etc/audisp/plugins.d/au-remote.conf'
default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_path_Regexp'] = '^path = '
default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_path_Line'] = 'path = /sbin/audisp-remote'

default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_type_Path'] = '/etc/audisp/plugins.d/au-remote.conf'
default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_type_Regexp'] = '^type = '
default['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_type_Line'] = 'type = always'

# R-204507 RHEL-07-030210
default['rhel7STIG']['stigrule_204507']['Manage'] = true
default['rhel7STIG']['stigrule_204507']['Title'] = "The Red Hat Enterprise Linux operating system must take appropriate action when the remote logging buffer is full."
default['rhel7STIG']['stigrule_204507']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204507']['Setting']['_etc_audisp_audispd_conf_Path'] = '/etc/audisp/audispd.conf'
default['rhel7STIG']['stigrule_204507']['Setting']['_etc_audisp_audispd_conf_Regexp'] = '^overflow_action = '
default['rhel7STIG']['stigrule_204507']['Setting']['_etc_audisp_audispd_conf_Line'] = 'overflow_action = syslog'

# R-204508 RHEL-07-030211
default['rhel7STIG']['stigrule_204508']['Manage'] = true
default['rhel7STIG']['stigrule_204508']['Title'] = "The Red Hat Enterprise Linux operating system must label all off-loaded audit logs before sending them to the central log server."
default['rhel7STIG']['stigrule_204508']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204508']['Setting']['_etc_audisp_audispd_conf_Path'] = '/etc/audisp/audispd.conf'
default['rhel7STIG']['stigrule_204508']['Setting']['_etc_audisp_audispd_conf_Regexp'] = '^name_format = '
default['rhel7STIG']['stigrule_204508']['Setting']['_etc_audisp_audispd_conf_Line'] = 'name_format = hostname'

# R-204509 RHEL-07-030300
# Ensure to set the IP address of the log aggregation server.
default['rhel7STIG']['stigrule_204509']['Manage'] = false
default['rhel7STIG']['stigrule_204509']['Title'] = "The Red Hat Enterprise Linux operating system must off-load audit records onto a different system or media from the system being audited."
default['rhel7STIG']['stigrule_204509']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204509']['Setting']['_etc_audisp_audisp_remote_conf_Path'] = '/etc/audisp/audisp-remote.conf'
default['rhel7STIG']['stigrule_204509']['Setting']['_etc_audisp_audisp_remote_conf_Regexp'] = '^remote_server = '
default['rhel7STIG']['stigrule_204509']['Setting']['_etc_audisp_audisp_remote_conf_Line'] = 'remote_server = 192.0.2.255'

# R-204510 RHEL-07-030310
# Ensure to set the IP address of the log aggregation server.
default['rhel7STIG']['stigrule_204510']['Manage'] = true
default['rhel7STIG']['stigrule_204510']['Title'] = "The Red Hat Enterprise Linux operating system must encrypt the transfer of audit records off-loaded onto a different system or media from the system being audited."
default['rhel7STIG']['stigrule_204510']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204510']['Setting']['_etc_audisp_audisp_remote_conf_Path'] = '/etc/audisp/audisp-remote.conf'
default['rhel7STIG']['stigrule_204510']['Setting']['_etc_audisp_audisp_remote_conf_Regexp'] = '^enable_krb5 = '
default['rhel7STIG']['stigrule_204510']['Setting']['_etc_audisp_audisp_remote_conf_Line'] = 'enable_krb5 = yes'

# R-204511 RHEL-07-030320
default['rhel7STIG']['stigrule_204511']['Manage'] = true
default['rhel7STIG']['stigrule_204511']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the audit system takes appropriate action when the audit storage volume is full."
default['rhel7STIG']['stigrule_204511']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204511']['Setting']['_etc_audisp_audisp_remote_conf_Path'] = '/etc/audisp/audisp-remote.conf'
default['rhel7STIG']['stigrule_204511']['Setting']['_etc_audisp_audisp_remote_conf_Regexp'] = '^disk_full_action = '
default['rhel7STIG']['stigrule_204511']['Setting']['_etc_audisp_audisp_remote_conf_Line'] = 'disk_full_action = single'

# R-204512 RHEL-07-030321
default['rhel7STIG']['stigrule_204512']['Manage'] = true
default['rhel7STIG']['stigrule_204512']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the audit system takes appropriate action when there is an error sending audit records to a remote system."
default['rhel7STIG']['stigrule_204512']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204512']['Setting']['_etc_audisp_audisp_remote_conf_Path'] = '/etc/audisp/audisp-remote.conf'
default['rhel7STIG']['stigrule_204512']['Setting']['_etc_audisp_audisp_remote_conf_Regexp'] = '^network_failure_action = '
default['rhel7STIG']['stigrule_204512']['Setting']['_etc_audisp_audisp_remote_conf_Line'] = 'network_failure_action = syslog'

# R-204514 RHEL-07-030340
default['rhel7STIG']['stigrule_204514']['Manage'] = true
default['rhel7STIG']['stigrule_204514']['Title'] = "The Red Hat Enterprise Linux operating system must immediately notify the System Administrator (SA) and Information System Security Officer (ISSO) (at a minimum) via email when the threshold for the repository maximum audit record storage capacity is reached."
default['rhel7STIG']['stigrule_204514']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204514']['Setting']['_etc_audit_auditd_conf_Path'] = '/etc/audit/auditd.conf'
default['rhel7STIG']['stigrule_204514']['Setting']['_etc_audit_auditd_conf_Regexp'] = '^space_left_action = '
default['rhel7STIG']['stigrule_204514']['Setting']['_etc_audit_auditd_conf_Line'] = 'space_left_action = email'

# R-204515 RHEL-07-030350
default['rhel7STIG']['stigrule_204515']['Manage'] = true
default['rhel7STIG']['stigrule_204515']['Title'] = "The Red Hat Enterprise Linux operating system must immediately notify the System Administrator (SA) and Information System Security Officer (ISSO) (at a minimum) when the threshold for the repository maximum audit record storage capacity is reached."
default['rhel7STIG']['stigrule_204515']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204515']['Setting']['_etc_audit_auditd_conf_Path'] = '/etc/audit/auditd.conf'
default['rhel7STIG']['stigrule_204515']['Setting']['_etc_audit_auditd_conf_Regexp'] = '^action_mail_acct = '
default['rhel7STIG']['stigrule_204515']['Setting']['_etc_audit_auditd_conf_Line'] = 'action_mail_acct = root'

# R-204516 RHEL-07-030360
default['rhel7STIG']['stigrule_204516']['Manage'] = true
default['rhel7STIG']['stigrule_204516']['Title'] = "The Red Hat Enterprise Linux operating system must audit all executions of privileged functions."
default['rhel7STIG']['stigrule_204516']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b32_Regexp'] = '^-a always,exit -F arch=b32 -S execve -C uid!=euid -F euid=0 -k setuid$'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b32_Line'] = '-a always,exit -F arch=b32 -S execve -C uid!=euid -F euid=0 -k setuid'

default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b64_Regexp'] = '^-a always,exit -F arch=b64 -S execve -C uid!=euid -F euid=0 -k setuid$'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b64_Line'] = '-a always,exit -F arch=b64 -S execve -C uid!=euid -F euid=0 -k setuid'

default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b32_Regexp'] = '^-a always,exit -F arch=b32 -S execve -C gid!=egid -F egid=0 -k setgid$'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b32_Line'] = '-a always,exit -F arch=b32 -S execve -C gid!=egid -F egid=0 -k setgid'

default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b64_Regexp'] = '^-a always,exit -F arch=b64 -S execve -C gid!=egid -F egid=0 -k setgid$'
default['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b64_Line'] = '-a always,exit -F arch=b64 -S execve -C gid!=egid -F egid=0 -k setgid'

# R-204517 RHEL-07-030370
default['rhel7STIG']['stigrule_204517']['Manage'] = true
default['rhel7STIG']['stigrule_204517']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the chown, fchown, fchownat, and lchown syscalls."
default['rhel7STIG']['stigrule_204517']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp'] = '^-a always,exit -F arch=b32 -S chown,fchown,fchownat,lchown -F auid>=1000 -F auid!=unset -k perm_mod$'
default['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line'] = '-a always,exit -F arch=b32 -S chown,fchown,fchownat,lchown -F auid>=1000 -F auid!=unset -k perm_mod'

# R-204521 RHEL-07-030410
default['rhel7STIG']['stigrule_204521']['Manage'] = true
default['rhel7STIG']['stigrule_204521']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the chmod, fchmod, and fchmodat syscalls."
default['rhel7STIG']['stigrule_204521']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp'] = '^-a always,exit -F arch=b32 -S chmod,fchmod,fchmodat -F auid>=1000 -F auid!=unset -k perm_mod$'
default['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line'] = '-a always,exit -F arch=b32 -S chmod,fchmod,fchmodat -F auid>=1000 -F auid!=unset -k perm_mod'

# R-204524 RHEL-07-030440
default['rhel7STIG']['stigrule_204524']['Manage'] = true
default['rhel7STIG']['stigrule_204524']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the setxattr, fsetxattr, lsetxattr, removexattr, fremovexattr, and lremovexattr syscalls."
default['rhel7STIG']['stigrule_204524']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp'] = '^-a always,exit -F arch=b32 -S setxattr,fsetxattr,lsetxattr,removexattr,fremovexattr,lremovexattr -F auid>=1000 -F auid!=unset -k perm_mod$'
default['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line'] = '-a always,exit -F arch=b32 -S setxattr,fsetxattr,lsetxattr,removexattr,fremovexattr,lremovexattr -F auid>=1000 -F auid!=unset -k perm_mod'

# R-204560 RHEL-07-030820
default['rhel7STIG']['stigrule_204560']['Manage'] = true
default['rhel7STIG']['stigrule_204560']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the init_module and finit_module syscalls."
default['rhel7STIG']['stigrule_204560']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp'] = '^-a always,exit -F arch=b32 -S init_module,finit_module -k modulechange$'
default['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line'] = '-a always,exit -F arch=b32 -S init_module,finit_module -k modulechange'

# R-204562 RHEL-07-030830
default['rhel7STIG']['stigrule_204562']['Manage'] = true
default['rhel7STIG']['stigrule_204562']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the delete_module syscall."
default['rhel7STIG']['stigrule_204562']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp'] = '^-a always,exit -F arch=b32 -S delete_module -k module-change$'
default['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line'] = '-a always,exit -F arch=b32 -S delete_module -k module-change'

# R-204572 RHEL-07-030910
default['rhel7STIG']['stigrule_204572']['Manage'] = true
default['rhel7STIG']['stigrule_204572']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the unlink, unlinkat, rename, renameat, and rmdir syscalls."
default['rhel7STIG']['stigrule_204572']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp'] = '^-a always,exit -F arch=b32 -S unlink,unlinkat,rename,renameat,rmdir -F auid>=1000 -F auid!=unset -k delete$'
default['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line'] = '-a always,exit -F arch=b32 -S unlink,unlinkat,rename,renameat,rmdir -F auid>=1000 -F auid!=unset -k delete'

default['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp'] = '^-a always,exit -F arch=b64 -S chown,fchown,fchownat,lchown -F auid>=1000 -F auid!=unset -k perm_mod$'
default['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line'] = '-a always,exit -F arch=b64 -S chown,fchown,fchownat,lchown -F auid>=1000 -F auid!=unset -k perm_mod'

default['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp'] = '^-a always,exit -F arch=b64 -S chmod,fchmod,fchmodat -F auid>=1000 -F auid!=unset -k perm_mod$'
default['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line'] = '-a always,exit -F arch=b64 -S chmod,fchmod,fchmodat -F auid>=1000 -F auid!=unset -k perm_mod'

default['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp'] = '^-a always,exit -F arch=b64 -S setxattr,fsetxattr,lsetxattr,removexattr,fremovexattr,lremovexattr -F auid>=1000 -F auid!=unset -k perm_mod$'
default['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line'] = '-a always,exit -F arch=b64 -S setxattr,fsetxattr,lsetxattr,removexattr,fremovexattr,lremovexattr -F auid>=1000 -F auid!=unset -k perm_mod'

default['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp'] = '^-a always,exit -F arch=b64 -S init_module,finit_module -k modulechange$'
default['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line'] = '-a always,exit -F arch=b64 -S init_module,finit_module -k modulechange'

default['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp'] = '^-a always,exit -F arch=b64 -S delete_module -k module-change$'
default['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line'] = '-a always,exit -F arch=b64 -S delete_module -k module-change'

default['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp'] = '^-a always,exit -F arch=b64 -S unlink,unlinkat,rename,renameat,rmdir -F auid>=1000 -F auid!=unset -k delete$'
default['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line'] = '-a always,exit -F arch=b64 -S unlink,unlinkat,rename,renameat,rmdir -F auid>=1000 -F auid!=unset -k delete'

# R-204531 RHEL-07-030510
default['rhel7STIG']['stigrule_204531']['Manage'] = true
default['rhel7STIG']['stigrule_204531']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the creat, open, openat, open_by_handle_at, truncate, and ftruncate syscalls."
default['rhel7STIG']['stigrule_204531']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b32_Regexp'] = '^-a always,exit -F arch=b32 -S creat,open,openat,open_by_handle_at,truncate,ftruncate -F exit=-EPERM -F auid>=1000 -F auid!=unset -k access$'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b32_Line'] = '-a always,exit -F arch=b32 -S creat,open,openat,open_by_handle_at,truncate,ftruncate -F exit=-EPERM -F auid>=1000 -F auid!=unset -k access'

default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b64_Regexp'] = '^-a always,exit -F arch=b64 -S creat,open,openat,open_by_handle_at,truncate,ftruncate -F exit=-EPERM -F auid>=1000 -F auid!=unset -k access$'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b64_Line'] = '-a always,exit -F arch=b64 -S creat,open,openat,open_by_handle_at,truncate,ftruncate -F exit=-EPERM -F auid>=1000 -F auid!=unset -k access'

default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b32_Regexp'] = '^-a always,exit -F arch=b32 -S creat,open,openat,open_by_handle_at,truncate,ftruncate -F exit=-EACCES -F auid>=1000 -F auid!=unset -k access$'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b32_Line'] = '-a always,exit -F arch=b32 -S creat,open,openat,open_by_handle_at,truncate,ftruncate -F exit=-EACCES -F auid>=1000 -F auid!=unset -k access'

default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b64_Regexp'] = '^-a always,exit -F arch=b64 -S creat,open,openat,open_by_handle_at,truncate,ftruncate -F exit=-EACCES -F auid>=1000 -F auid!=unset -k access$'
default['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b64_Line'] = '-a always,exit -F arch=b64 -S creat,open,openat,open_by_handle_at,truncate,ftruncate -F exit=-EACCES -F auid>=1000 -F auid!=unset -k access'

# R-204536 RHEL-07-030560
default['rhel7STIG']['stigrule_204536']['Manage'] = true
default['rhel7STIG']['stigrule_204536']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the semanage command."
default['rhel7STIG']['stigrule_204536']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204536']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204536']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/sbin/semanage -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change$'
default['rhel7STIG']['stigrule_204536']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/sbin/semanage -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change'

# R-204537 RHEL-07-030570
default['rhel7STIG']['stigrule_204537']['Manage'] = true
default['rhel7STIG']['stigrule_204537']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the setsebool command."
default['rhel7STIG']['stigrule_204537']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204537']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204537']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/sbin/setsebool -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change$'
default['rhel7STIG']['stigrule_204537']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/sbin/setsebool -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change'

# R-204538 RHEL-07-030580
default['rhel7STIG']['stigrule_204538']['Manage'] = true
default['rhel7STIG']['stigrule_204538']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the chcon command."
default['rhel7STIG']['stigrule_204538']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204538']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204538']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/chcon -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change$'
default['rhel7STIG']['stigrule_204538']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/chcon -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change'

# R-204539 RHEL-07-030590
default['rhel7STIG']['stigrule_204539']['Manage'] = true
default['rhel7STIG']['stigrule_204539']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the setfiles command."
default['rhel7STIG']['stigrule_204539']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204539']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204539']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/sbin/setfiles -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change$'
default['rhel7STIG']['stigrule_204539']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/sbin/setfiles -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change'

# R-204540 RHEL-07-030610
default['rhel7STIG']['stigrule_204540']['Manage'] = true
default['rhel7STIG']['stigrule_204540']['Title'] = "The Red Hat Enterprise Linux operating system must generate audit records for all unsuccessful account access events."
default['rhel7STIG']['stigrule_204540']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204540']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204540']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-w /var/run/faillock -p wa -k logins$'
default['rhel7STIG']['stigrule_204540']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-w /var/run/faillock -p wa -k logins'

# R-204541 RHEL-07-030620
default['rhel7STIG']['stigrule_204541']['Manage'] = true
default['rhel7STIG']['stigrule_204541']['Title'] = "The Red Hat Enterprise Linux operating system must generate audit records for all successful account access events."
default['rhel7STIG']['stigrule_204541']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204541']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204541']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-w /var/log/lastlog -p wa -k logins$'
default['rhel7STIG']['stigrule_204541']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-w /var/log/lastlog -p wa -k logins'

# R-204542 RHEL-07-030630
default['rhel7STIG']['stigrule_204542']['Manage'] = true
default['rhel7STIG']['stigrule_204542']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the passwd command."
default['rhel7STIG']['stigrule_204542']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204542']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204542']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/passwd -F auid>=1000 -F auid!=4294967295 -k privileged-passwd$'
default['rhel7STIG']['stigrule_204542']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/passwd -F auid>=1000 -F auid!=4294967295 -k privileged-passwd'

# R-204543 RHEL-07-030640
default['rhel7STIG']['stigrule_204543']['Manage'] = true
default['rhel7STIG']['stigrule_204543']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the unix_chkpwd command."
default['rhel7STIG']['stigrule_204543']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204543']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204543']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/sbin/unix_chkpwd -F auid>=1000 -F auid!=4294967295 -k privileged-passwd$'
default['rhel7STIG']['stigrule_204543']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/sbin/unix_chkpwd -F auid>=1000 -F auid!=4294967295 -k privileged-passwd'

# R-204544 RHEL-07-030650
default['rhel7STIG']['stigrule_204544']['Manage'] = true
default['rhel7STIG']['stigrule_204544']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the gpasswd command."
default['rhel7STIG']['stigrule_204544']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204544']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204544']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/gpasswd -F auid>=1000 -F auid!=4294967295 -k privileged-passwd$'
default['rhel7STIG']['stigrule_204544']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/gpasswd -F auid>=1000 -F auid!=4294967295 -k privileged-passwd'

# R-204545 RHEL-07-030660
default['rhel7STIG']['stigrule_204545']['Manage'] = true
default['rhel7STIG']['stigrule_204545']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the chage command."
default['rhel7STIG']['stigrule_204545']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204545']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204545']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/chage -F auid>=1000 -F auid!=4294967295 -k privileged-passwd$'
default['rhel7STIG']['stigrule_204545']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/chage -F auid>=1000 -F auid!=4294967295 -k privileged-passwd'

# R-204546 RHEL-07-030670
default['rhel7STIG']['stigrule_204546']['Manage'] = true
default['rhel7STIG']['stigrule_204546']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the userhelper command."
default['rhel7STIG']['stigrule_204546']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204546']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204546']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/sbin/userhelper -F auid>=1000 -F auid!=4294967295 -k privileged-passwd$'
default['rhel7STIG']['stigrule_204546']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/sbin/userhelper -F auid>=1000 -F auid!=4294967295 -k privileged-passwd'

# R-204547 RHEL-07-030680
default['rhel7STIG']['stigrule_204547']['Manage'] = true
default['rhel7STIG']['stigrule_204547']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the su command."
default['rhel7STIG']['stigrule_204547']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204547']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204547']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/su -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change$'
default['rhel7STIG']['stigrule_204547']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/su -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change'

# R-204548 RHEL-07-030690
default['rhel7STIG']['stigrule_204548']['Manage'] = true
default['rhel7STIG']['stigrule_204548']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the sudo command."
default['rhel7STIG']['stigrule_204548']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204548']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204548']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/sudo -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change$'
default['rhel7STIG']['stigrule_204548']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/sudo -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change'

# R-204550 RHEL-07-030710
default['rhel7STIG']['stigrule_204550']['Manage'] = true
default['rhel7STIG']['stigrule_204550']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the newgrp command."
default['rhel7STIG']['stigrule_204550']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204550']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204550']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/newgrp -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change$'
default['rhel7STIG']['stigrule_204550']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/newgrp -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change'

# R-204551 RHEL-07-030720
default['rhel7STIG']['stigrule_204551']['Manage'] = true
default['rhel7STIG']['stigrule_204551']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the chsh command."
default['rhel7STIG']['stigrule_204551']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204551']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204551']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/chsh -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change$'
default['rhel7STIG']['stigrule_204551']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/chsh -F auid>=1000 -F auid!=4294967295 -k privileged-priv_change'

# R-204553 RHEL-07-030750
default['rhel7STIG']['stigrule_204553']['Manage'] = true
default['rhel7STIG']['stigrule_204553']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the umount command."
default['rhel7STIG']['stigrule_204553']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204553']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204553']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/bin/umount -F auid>=1000 -F auid!=4294967295 -k privileged-mount$'
default['rhel7STIG']['stigrule_204553']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/bin/umount -F auid>=1000 -F auid!=4294967295 -k privileged-mount'

# R-204554 RHEL-07-030760
default['rhel7STIG']['stigrule_204554']['Manage'] = true
default['rhel7STIG']['stigrule_204554']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the postdrop command."
default['rhel7STIG']['stigrule_204554']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204554']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204554']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/sbin/postdrop -F auid>=1000 -F auid!=4294967295 -k privileged-postfix$'
default['rhel7STIG']['stigrule_204554']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/sbin/postdrop -F auid>=1000 -F auid!=4294967295 -k privileged-postfix'

# R-204555 RHEL-07-030770
default['rhel7STIG']['stigrule_204555']['Manage'] = true
default['rhel7STIG']['stigrule_204555']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the postqueue command."
default['rhel7STIG']['stigrule_204555']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204555']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204555']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/sbin/postqueue -F auid>=1000 -F auid!=4294967295 -k privileged-postfix$'
default['rhel7STIG']['stigrule_204555']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/sbin/postqueue -F auid>=1000 -F auid!=4294967295 -k privileged-postfix'

# R-204556 RHEL-07-030780
default['rhel7STIG']['stigrule_204556']['Manage'] = true
default['rhel7STIG']['stigrule_204556']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the ssh-keysign command."
default['rhel7STIG']['stigrule_204556']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204556']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204556']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/libexec/openssh/ssh-keysign -F auid>=1000 -F auid!=4294967295 -k privileged-ssh$'
default['rhel7STIG']['stigrule_204556']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/libexec/openssh/ssh-keysign -F auid>=1000 -F auid!=4294967295 -k privileged-ssh'

# R-204557 RHEL-07-030800
default['rhel7STIG']['stigrule_204557']['Manage'] = true
default['rhel7STIG']['stigrule_204557']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the crontab command."
default['rhel7STIG']['stigrule_204557']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204557']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204557']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/bin/crontab -F auid>=1000 -F auid!=4294967295 -k privileged-cron$'
default['rhel7STIG']['stigrule_204557']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/bin/crontab -F auid>=1000 -F auid!=4294967295 -k privileged-cron'

# R-204558 RHEL-07-030810
default['rhel7STIG']['stigrule_204558']['Manage'] = true
default['rhel7STIG']['stigrule_204558']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the pam_timestamp_check command."
default['rhel7STIG']['stigrule_204558']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204558']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204558']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-a always,exit -F path=/usr/sbin/pam_timestamp_check -F auid>=1000 -F auid!=4294967295 -k privileged-pam$'
default['rhel7STIG']['stigrule_204558']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-a always,exit -F path=/usr/sbin/pam_timestamp_check -F auid>=1000 -F auid!=4294967295 -k privileged-pam'

# R-204563 RHEL-07-030840
default['rhel7STIG']['stigrule_204563']['Manage'] = true
default['rhel7STIG']['stigrule_204563']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the kmod command."
default['rhel7STIG']['stigrule_204563']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204563']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204563']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-w /usr/bin/kmod -p x -F auid!=4294967295 -k module-change$'
default['rhel7STIG']['stigrule_204563']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-w /usr/bin/kmod -p x -F auid!=4294967295 -k module-change'

# R-204564 RHEL-07-030870
default['rhel7STIG']['stigrule_204564']['Manage'] = true
default['rhel7STIG']['stigrule_204564']['Title'] = "The Red Hat Enterprise Linux operating system must generate audit records for all account creations, modifications, disabling, and termination events that affect /etc/passwd."
default['rhel7STIG']['stigrule_204564']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204564']['Setting']['_etc_audit_rules_d_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204564']['Setting']['_etc_audit_rules_d_audit_rules_Regexp'] = '^-w /etc/passwd -p wa -k identity$'
default['rhel7STIG']['stigrule_204564']['Setting']['_etc_audit_rules_d_audit_rules_Line'] = '-w /etc/passwd -p wa -k identity'

# R-204549 RHEL-07-030700
default['rhel7STIG']['stigrule_204549']['Manage'] = true
default['rhel7STIG']['stigrule_204549']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the sudoers file and all files in the /etc/sudoers.d/ directory."
default['rhel7STIG']['stigrule_204549']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_Regexp'] = '^-w /etc/sudoers -p wa -k privileged-actions$'
default['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_Line'] = '-w /etc/sudoers -p wa -k privileged-actions'

default['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_d_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_d_Regexp'] = '^-w /etc/sudoers.d/ -p wa -k privileged-actions$'
default['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_d_Line'] = '-w /etc/sudoers.d/ -p wa -k privileged-actions'

# R-204552 RHEL-07-030740
default['rhel7STIG']['stigrule_204552']['Manage'] = true
default['rhel7STIG']['stigrule_204552']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the mount command and syscall."
default['rhel7STIG']['stigrule_204552']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b32_Regexp'] = '^-a always,exit -F arch=b32 -S mount -F auid>=1000 -F auid!=4294967295 -k privileged-mount$'
default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b32_Line'] = '-a always,exit -F arch=b32 -S mount -F auid>=1000 -F auid!=4294967295 -k privileged-mount'

default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b64_Regexp'] = '^-a always,exit -F arch=b64 -S mount -F auid>=1000 -F auid!=4294967295 -k privileged-mount$'
default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b64_Line'] = '-a always,exit -F arch=b64 -S mount -F auid>=1000 -F auid!=4294967295 -k privileged-mount'

default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules__usr_bin_mount_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules__usr_bin_mount_Regexp'] = '^-a always,exit -F path=/usr/bin/mount -F auid>=1000 -F auid!=4294967295 -k privileged-mount$'
default['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules__usr_bin_mount_Line'] = '-a always,exit -F path=/usr/bin/mount -F auid>=1000 -F auid!=4294967295 -k privileged-mount'

# R-204559 RHEL-07-030819
default['rhel7STIG']['stigrule_204559']['Manage'] = true
default['rhel7STIG']['stigrule_204559']['Title'] = "The Red Hat Enterprise Linux operating system must audit all uses of the create_module syscall."
default['rhel7STIG']['stigrule_204559']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b32_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b32_Regexp'] = '^-a always,exit -F arch=b32 -S create_module -k module-change$'
default['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b32_Line'] = '-a always,exit -F arch=b32 -S create_module -k module-change'

default['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b64_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b64_Regexp'] = '^-a always,exit -F arch=b64 -S create_module -k module-change$'
default['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b64_Line'] = '-a always,exit -F arch=b64 -S create_module -k module-change'

# R-204565 RHEL-07-030871
default['rhel7STIG']['stigrule_204565']['Manage'] = true
default['rhel7STIG']['stigrule_204565']['Title'] = "The Red Hat Enterprise Linux operating system must generate audit records for all account creations, modifications, disabling, and termination events that affect /etc/group."
default['rhel7STIG']['stigrule_204565']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204565']['Setting']['_etc_audit_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204565']['Setting']['_etc_audit_audit_rules_Regexp'] = '^-w /etc/group -p wa -k identity$'
default['rhel7STIG']['stigrule_204565']['Setting']['_etc_audit_audit_rules_Line'] = '-w /etc/group -p wa -k identity'

# R-204566 RHEL-07-030872
default['rhel7STIG']['stigrule_204566']['Manage'] = true
default['rhel7STIG']['stigrule_204566']['Title'] = "The Red Hat Enterprise Linux operating system must generate audit records for all account creations, modifications, disabling, and termination events that affect /etc/gshadow."
default['rhel7STIG']['stigrule_204566']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204566']['Setting']['_etc_audit_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204566']['Setting']['_etc_audit_audit_rules_Regexp'] = '^-w /etc/gshadow -p wa -k identity$'
default['rhel7STIG']['stigrule_204566']['Setting']['_etc_audit_audit_rules_Line'] = '-w /etc/gshadow -p wa -k identity'

# R-204567 RHEL-07-030873
default['rhel7STIG']['stigrule_204567']['Manage'] = true
default['rhel7STIG']['stigrule_204567']['Title'] = "The Red Hat Enterprise Linux operating system must generate audit records for all account creations, modifications, disabling, and termination events that affect /etc/shadow."
default['rhel7STIG']['stigrule_204567']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204567']['Setting']['_etc_audit_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204567']['Setting']['_etc_audit_audit_rules_Regexp'] = '^-w /etc/shadow -p wa -k identity$'
default['rhel7STIG']['stigrule_204567']['Setting']['_etc_audit_audit_rules_Line'] = '-w /etc/shadow -p wa -k identity'

# R-204568 RHEL-07-030874
default['rhel7STIG']['stigrule_204568']['Manage'] = true
default['rhel7STIG']['stigrule_204568']['Title'] = "The Red Hat Enterprise Linux operating system must generate audit records for all account creations, modifications, disabling, and termination events that affect /etc/security/opasswd."
default['rhel7STIG']['stigrule_204568']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204568']['Setting']['_etc_audit_audit_rules_Path'] = '/etc/audit/rules.d/audit.rules'
default['rhel7STIG']['stigrule_204568']['Setting']['_etc_audit_audit_rules_Regexp'] = '^-w /etc/security/opasswd -p wa -k identity$'
default['rhel7STIG']['stigrule_204568']['Setting']['_etc_audit_audit_rules_Line'] = '-w /etc/security/opasswd -p wa -k identity'

# R-204576 RHEL-07-040000
default['rhel7STIG']['stigrule_204576']['Manage'] = true
default['rhel7STIG']['stigrule_204576']['Title'] = "The Red Hat Enterprise Linux operating system must limit the number of concurrent sessions to 10 for all accounts and/or account types."
default['rhel7STIG']['stigrule_204576']['Severity'] = 'low'
default['rhel7STIG']['stigrule_204576']['Setting']['_etc_security_limits_conf_Path'] = '/etc/security/limits.conf'
default['rhel7STIG']['stigrule_204576']['Setting']['_etc_security_limits_conf_Regexp'] = '^\* hard maxlogins'
default['rhel7STIG']['stigrule_204576']['Setting']['_etc_security_limits_conf_Line'] = '* hard maxlogins 10'

# R-204578 RHEL-07-040110
default['rhel7STIG']['stigrule_204578']['Manage'] = true
default['rhel7STIG']['stigrule_204578']['Title'] = "The Red Hat Enterprise Linux 7 operating system must implement DoD-approved encryption to protect the confidentiality of SSH connections."
default['rhel7STIG']['stigrule_204578']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204578']['Setting']['Ciphers_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204578']['Setting']['Ciphers_Regexp'] = '^\s*(?i)Ciphers\s+'
default['rhel7STIG']['stigrule_204578']['Setting']['Ciphers_Line'] = 'Ciphers aes256-ctr,aes192-ctr,aes128-ctr'
default['rhel7STIG']['stigrule_204578']['Setting']['Ciphers_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204579 RHEL-07-040160
default['rhel7STIG']['stigrule_204579']['Manage'] = true
default['rhel7STIG']['stigrule_204579']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that all network connections associated with a communication session are terminated at the end of the session or after 15 minutes of inactivity from the user at a command prompt, except to fulfill documented and validated mission requirements."
default['rhel7STIG']['stigrule_204579']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204579']['Setting']['_etc_profile_d_tmout_sh_Path'] = '/etc/profile.d/tmout.sh'
default['rhel7STIG']['stigrule_204579']['Setting']['_etc_profile_d_tmout_sh_Content'] = '#!/bin/bash

declare -xr TMOUT=900'

# R-204580 RHEL-07-040170
default['rhel7STIG']['stigrule_204580']['Manage'] = true
default['rhel7STIG']['stigrule_204580']['Title'] = "The Red Hat Enterprise Linux operating system must display the Standard Mandatory DoD Notice and Consent Banner immediately prior to, or as part of, remote access logon prompts."
default['rhel7STIG']['stigrule_204580']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204580']['Setting']['banner_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204580']['Setting']['banner_Regexp'] = '^\s*(?i)banner\s+'
default['rhel7STIG']['stigrule_204580']['Setting']['banner_Line'] = 'banner /etc/issue'
default['rhel7STIG']['stigrule_204580']['Setting']['banner_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204584 RHEL-07-040201
default['rhel7STIG']['stigrule_204584']['Manage'] = true
default['rhel7STIG']['stigrule_204584']['Title'] = "The Red Hat Enterprise Linux operating system must implement virtual address space randomization."
default['rhel7STIG']['stigrule_204584']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204584']['Setting']['kernel_randomize_va_space_Key'] = 'kernel.randomize_va_space'
default['rhel7STIG']['stigrule_204584']['Setting']['kernel_randomize_va_space_Value'] = 2

# R-204585 RHEL-07-040300
default['rhel7STIG']['stigrule_204585']['Manage'] = true
default['rhel7STIG']['stigrule_204585']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that all networked systems have SSH installed."
default['rhel7STIG']['stigrule_204585']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204585']['Setting']['openssh_clients_x86_64_PackageName'] = 'openssh-clients.x86_64'
default['rhel7STIG']['stigrule_204585']['Setting']['openssh_clients_x86_64_Action'] = :install

default['rhel7STIG']['stigrule_204585']['Setting']['openssh_server_x86_64_PackageName'] = 'openssh-server.x86_64'
default['rhel7STIG']['stigrule_204585']['Setting']['openssh_server_x86_64_Action'] = :install

# R-204586 RHEL-07-040310
default['rhel7STIG']['stigrule_204586']['Manage'] = true
default['rhel7STIG']['stigrule_204586']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that all networked systems use SSH for confidentiality and integrity of transmitted and received information as well as information during preparation for transmission."
default['rhel7STIG']['stigrule_204586']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204586']['Setting']['sshd_enable_ServiceName'] = 'sshd'
default['rhel7STIG']['stigrule_204586']['Setting']['sshd_enable_Action'] = :enable

default['rhel7STIG']['stigrule_204586']['Setting']['sshd_start_ServiceName'] = 'sshd'
default['rhel7STIG']['stigrule_204586']['Setting']['sshd_start_Action'] = :start

# R-204587 RHEL-07-040320
default['rhel7STIG']['stigrule_204587']['Manage'] = true
default['rhel7STIG']['stigrule_204587']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that all network connections associated with SSH traffic are terminated at the end of the session or after 10 minutes of inactivity, except to fulfill documented and validated mission requirements."
default['rhel7STIG']['stigrule_204587']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204587']['Setting']['ClientAliveInterval_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204587']['Setting']['ClientAliveInterval_Regexp'] = '^\s*(?i)ClientAliveInterval\s+'
default['rhel7STIG']['stigrule_204587']['Setting']['ClientAliveInterval_Line'] = 'ClientAliveInterval 600'
default['rhel7STIG']['stigrule_204587']['Setting']['ClientAliveInterval_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204588 RHEL-07-040330
default['rhel7STIG']['stigrule_204588']['Manage'] = true
default['rhel7STIG']['stigrule_204588']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon does not allow authentication using RSA rhosts authentication."
default['rhel7STIG']['stigrule_204588']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204588']['Setting']['RhostsRSAAuthentication_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204588']['Setting']['RhostsRSAAuthentication_Regexp'] = '^\s*(?i)RhostsRSAAuthentication\s+'
default['rhel7STIG']['stigrule_204588']['Setting']['RhostsRSAAuthentication_Line'] = 'RhostsRSAAuthentication no'
default['rhel7STIG']['stigrule_204588']['Setting']['RhostsRSAAuthentication_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204589 RHEL-07-040340
default['rhel7STIG']['stigrule_204589']['Manage'] = true
default['rhel7STIG']['stigrule_204589']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that all network connections associated with SSH traffic terminate after a period of inactivity."
default['rhel7STIG']['stigrule_204589']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204589']['Setting']['ClientAliveCountMax_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204589']['Setting']['ClientAliveCountMax_Regexp'] = '^\s*(?i)ClientAliveCountMax\s+'
default['rhel7STIG']['stigrule_204589']['Setting']['ClientAliveCountMax_Line'] = 'ClientAliveCountMax 0'
default['rhel7STIG']['stigrule_204589']['Setting']['ClientAliveCountMax_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204590 RHEL-07-040350
default['rhel7STIG']['stigrule_204590']['Manage'] = true
default['rhel7STIG']['stigrule_204590']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon does not allow authentication using rhosts authentication."
default['rhel7STIG']['stigrule_204590']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204590']['Setting']['IgnoreRhosts_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204590']['Setting']['IgnoreRhosts_Regexp'] = '^\s*(?i)IgnoreRhosts\s+'
default['rhel7STIG']['stigrule_204590']['Setting']['IgnoreRhosts_Line'] = 'IgnoreRhosts yes'
default['rhel7STIG']['stigrule_204590']['Setting']['IgnoreRhosts_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204591 RHEL-07-040360
default['rhel7STIG']['stigrule_204591']['Manage'] = true
default['rhel7STIG']['stigrule_204591']['Title'] = "The Red Hat Enterprise Linux operating system must display the date and time of the last successful account logon upon an SSH logon."
default['rhel7STIG']['stigrule_204591']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204591']['Setting']['PrintLastLog_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204591']['Setting']['PrintLastLog_Regexp'] = '^\s*(?i)PrintLastLog\s+'
default['rhel7STIG']['stigrule_204591']['Setting']['PrintLastLog_Line'] = 'PrintLastLog yes'
default['rhel7STIG']['stigrule_204591']['Setting']['PrintLastLog_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204592 RHEL-07-040370
default['rhel7STIG']['stigrule_204592']['Manage'] = true
default['rhel7STIG']['stigrule_204592']['Title'] = "The Red Hat Enterprise Linux operating system must not permit direct logons to the root account using remote access via SSH."
default['rhel7STIG']['stigrule_204592']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204592']['Setting']['PermitRootLogin_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204592']['Setting']['PermitRootLogin_Regexp'] = '^\s*(?i)PermitRootLogin\s+'
default['rhel7STIG']['stigrule_204592']['Setting']['PermitRootLogin_Line'] = 'PermitRootLogin no'
default['rhel7STIG']['stigrule_204592']['Setting']['PermitRootLogin_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204593 RHEL-07-040380
default['rhel7STIG']['stigrule_204593']['Manage'] = true
default['rhel7STIG']['stigrule_204593']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon does not allow authentication using known hosts authentication."
default['rhel7STIG']['stigrule_204593']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204593']['Setting']['IgnoreUserKnownHosts_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204593']['Setting']['IgnoreUserKnownHosts_Regexp'] = '^\s*(?i)IgnoreUserKnownHosts\s+'
default['rhel7STIG']['stigrule_204593']['Setting']['IgnoreUserKnownHosts_Line'] = 'IgnoreUserKnownHosts yes'
default['rhel7STIG']['stigrule_204593']['Setting']['IgnoreUserKnownHosts_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204594 RHEL-07-040390
default['rhel7STIG']['stigrule_204594']['Manage'] = true
default['rhel7STIG']['stigrule_204594']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon is configured to only use the SSHv2 protocol."
default['rhel7STIG']['stigrule_204594']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204594']['Setting']['Protocol_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204594']['Setting']['Protocol_Regexp'] = '^\s*(?i)Protocol\s+'
default['rhel7STIG']['stigrule_204594']['Setting']['Protocol_Line'] = 'Protocol 2'
default['rhel7STIG']['stigrule_204594']['Setting']['Protocol_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204595 RHEL-07-040400
default['rhel7STIG']['stigrule_204595']['Manage'] = true
default['rhel7STIG']['stigrule_204595']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon is configured to only use Message Authentication Codes (MACs) employing FIPS 140-2 approved cryptographic hash algorithms."
default['rhel7STIG']['stigrule_204595']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204595']['Setting']['MACs_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204595']['Setting']['MACs_Regexp'] = '^\s*(?i)MACs\s+'
default['rhel7STIG']['stigrule_204595']['Setting']['MACs_Line'] = 'MACs hmac-sha2-512,hmac-sha2-256'
default['rhel7STIG']['stigrule_204595']['Setting']['MACs_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204598 RHEL-07-040430
default['rhel7STIG']['stigrule_204598']['Manage'] = true
default['rhel7STIG']['stigrule_204598']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon does not permit Generic Security Service Application Program Interface (GSSAPI) authentication unless needed."
default['rhel7STIG']['stigrule_204598']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204598']['Setting']['GSSAPIAuthentication_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204598']['Setting']['GSSAPIAuthentication_Regexp'] = '^\s*(?i)GSSAPIAuthentication\s+'
default['rhel7STIG']['stigrule_204598']['Setting']['GSSAPIAuthentication_Line'] = 'GSSAPIAuthentication no'
default['rhel7STIG']['stigrule_204598']['Setting']['GSSAPIAuthentication_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204599 RHEL-07-040440
default['rhel7STIG']['stigrule_204599']['Manage'] = true
default['rhel7STIG']['stigrule_204599']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon does not permit Kerberos authentication unless needed."
default['rhel7STIG']['stigrule_204599']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204599']['Setting']['KerberosAuthentication_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204599']['Setting']['KerberosAuthentication_Regexp'] = '^\s*(?i)KerberosAuthentication\s+'
default['rhel7STIG']['stigrule_204599']['Setting']['KerberosAuthentication_Line'] = 'KerberosAuthentication no'
default['rhel7STIG']['stigrule_204599']['Setting']['KerberosAuthentication_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204600 RHEL-07-040450
default['rhel7STIG']['stigrule_204600']['Manage'] = true
default['rhel7STIG']['stigrule_204600']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon performs strict mode checking of home directory configuration files."
default['rhel7STIG']['stigrule_204600']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204600']['Setting']['StrictModes_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204600']['Setting']['StrictModes_Regexp'] = '^\s*(?i)StrictModes\s+'
default['rhel7STIG']['stigrule_204600']['Setting']['StrictModes_Line'] = 'StrictModes yes'
default['rhel7STIG']['stigrule_204600']['Setting']['StrictModes_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204601 RHEL-07-040460
default['rhel7STIG']['stigrule_204601']['Manage'] = true
default['rhel7STIG']['stigrule_204601']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon uses privilege separation."
default['rhel7STIG']['stigrule_204601']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204601']['Setting']['UsePrivilegeSeparation_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204601']['Setting']['UsePrivilegeSeparation_Regexp'] = '^\s*(?i)UsePrivilegeSeparation\s+'
default['rhel7STIG']['stigrule_204601']['Setting']['UsePrivilegeSeparation_Line'] = 'UsePrivilegeSeparation sandbox'
default['rhel7STIG']['stigrule_204601']['Setting']['UsePrivilegeSeparation_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204602 RHEL-07-040470
default['rhel7STIG']['stigrule_204602']['Manage'] = true
default['rhel7STIG']['stigrule_204602']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that the SSH daemon does not allow compression or only allows compression after successful authentication."
default['rhel7STIG']['stigrule_204602']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204602']['Setting']['Compression_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204602']['Setting']['Compression_Regexp'] = '^\s*(?i)Compression\s+'
default['rhel7STIG']['stigrule_204602']['Setting']['Compression_Line'] = 'Compression no'
default['rhel7STIG']['stigrule_204602']['Setting']['Compression_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204604 RHEL-07-040520
default['rhel7STIG']['stigrule_204604']['Manage'] = true
default['rhel7STIG']['stigrule_204604']['Title'] = "The Red Hat Enterprise Linux operating system must enable an application firewall, if available."
default['rhel7STIG']['stigrule_204604']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204604']['Setting']['firewalld_service_PackageName'] = 'firewalld'
default['rhel7STIG']['stigrule_204604']['Setting']['firewalld_service_Action'] = :install

default['rhel7STIG']['stigrule_204604']['Setting']['firewalld_active_ServiceName'] = 'firewalld'
default['rhel7STIG']['stigrule_204604']['Setting']['firewalld_active_Action'] = :enable

default['rhel7STIG']['stigrule_204604']['Setting']['firewalld_start_ServiceName'] = 'firewalld'
default['rhel7STIG']['stigrule_204604']['Setting']['firewalld_start_Action'] = :start

# R-204609 RHEL-07-040610
default['rhel7STIG']['stigrule_204609']['Manage'] = true
default['rhel7STIG']['stigrule_204609']['Title'] = "The Red Hat Enterprise Linux operating system must not forward Internet Protocol version 4 (IPv4) source-routed packets."
default['rhel7STIG']['stigrule_204609']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204609']['Setting']['net_ipv4_conf_all_accept_source_route_Key'] = 'net.ipv4.conf.all.accept_source_route'
default['rhel7STIG']['stigrule_204609']['Setting']['net_ipv4_conf_all_accept_source_route_Value'] = 0

# R-204610 RHEL-07-040611
default['rhel7STIG']['stigrule_204610']['Manage'] = true
default['rhel7STIG']['stigrule_204610']['Title'] = "The Red Hat Enterprise Linux operating system must use a reverse-path filter for IPv4 network traffic when possible on all interfaces."
default['rhel7STIG']['stigrule_204610']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204610']['Setting']['net_ipv4_conf_all_rp_filter_Key'] = 'net.ipv4.conf.all.rp_filter'
default['rhel7STIG']['stigrule_204610']['Setting']['net_ipv4_conf_all_rp_filter_Value'] = 1

default['rhel7STIG']['stigrule_204610']['Setting']['net_ipv4_conf_default_rp_filter_Key'] = 'net.ipv4.conf.default.rp_filter'
default['rhel7STIG']['stigrule_204610']['Setting']['net_ipv4_conf_default_rp_filter_Value'] = 1

# R-204612 RHEL-07-040620
default['rhel7STIG']['stigrule_204612']['Manage'] = true
default['rhel7STIG']['stigrule_204612']['Title'] = "The Red Hat Enterprise Linux operating system must not forward Internet Protocol version 4 (IPv4) source-routed packets by default."
default['rhel7STIG']['stigrule_204612']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204612']['Setting']['net_ipv4_conf_default_accept_source_route_Key'] = 'net.ipv4.conf.default.accept_source_route'
default['rhel7STIG']['stigrule_204612']['Setting']['net_ipv4_conf_default_accept_source_route_Value'] = 0

# R-204613 RHEL-07-040630
default['rhel7STIG']['stigrule_204613']['Manage'] = true
default['rhel7STIG']['stigrule_204613']['Title'] = "The Red Hat Enterprise Linux operating system must not respond to Internet Protocol version 4 (IPv4) Internet Control Message Protocol (ICMP) echoes sent to a broadcast address."
default['rhel7STIG']['stigrule_204613']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204613']['Setting']['net_ipv4_icmp_echo_ignore_broadcasts_Key'] = 'net.ipv4.icmp_echo_ignore_broadcasts'
default['rhel7STIG']['stigrule_204613']['Setting']['net_ipv4_icmp_echo_ignore_broadcasts_Value'] = 1

# R-204614 RHEL-07-040640
default['rhel7STIG']['stigrule_204614']['Manage'] = true
default['rhel7STIG']['stigrule_204614']['Title'] = "The Red Hat Enterprise Linux operating system must prevent Internet Protocol version 4 (IPv4) Internet Control Message Protocol (ICMP) redirect messages from being accepted."
default['rhel7STIG']['stigrule_204614']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204614']['Setting']['net_ipv4_conf_default_accept_redirects_Key'] = 'net.ipv4.conf.default.accept_redirects'
default['rhel7STIG']['stigrule_204614']['Setting']['net_ipv4_conf_default_accept_redirects_Value'] = 0

# R-204615 RHEL-07-040641
default['rhel7STIG']['stigrule_204615']['Manage'] = true
default['rhel7STIG']['stigrule_204615']['Title'] = "The Red Hat Enterprise Linux operating system must ignore Internet Protocol version 4 (IPv4) Internet Control Message Protocol (ICMP) redirect messages."
default['rhel7STIG']['stigrule_204615']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204615']['Setting']['net_ipv4_conf_all_accept_redirects_Key'] = 'net.ipv4.conf.all.accept_redirects'
default['rhel7STIG']['stigrule_204615']['Setting']['net_ipv4_conf_all_accept_redirects_Value'] = 0

# R-204616 RHEL-07-040650
default['rhel7STIG']['stigrule_204616']['Manage'] = true
default['rhel7STIG']['stigrule_204616']['Title'] = "The Red Hat Enterprise Linux operating system must not allow interfaces to perform Internet Protocol version 4 (IPv4) Internet Control Message Protocol (ICMP) redirects by default."
default['rhel7STIG']['stigrule_204616']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204616']['Setting']['net_ipv4_conf_default_send_redirects_Key'] = 'net.ipv4.conf.default.send_redirects'
default['rhel7STIG']['stigrule_204616']['Setting']['net_ipv4_conf_default_send_redirects_Value'] = 0

# R-204617 RHEL-07-040660
default['rhel7STIG']['stigrule_204617']['Manage'] = true
default['rhel7STIG']['stigrule_204617']['Title'] = "The Red Hat Enterprise Linux operating system must not send Internet Protocol version 4 (IPv4) Internet Control Message Protocol (ICMP) redirects."
default['rhel7STIG']['stigrule_204617']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204617']['Setting']['net_ipv4_conf_all_send_redirects_Key'] = 'net.ipv4.conf.all.send_redirects'
default['rhel7STIG']['stigrule_204617']['Setting']['net_ipv4_conf_all_send_redirects_Value'] = 0

# R-204619 RHEL-07-040680
default['rhel7STIG']['stigrule_204619']['Manage'] = true
default['rhel7STIG']['stigrule_204619']['Title'] = "The Red Hat Enterprise Linux operating system must be configured to prevent unrestricted mail relaying."
default['rhel7STIG']['stigrule_204619']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204619']['Setting']['postconf__e__smtpd_client_restrictions___permit_mynetworks_reject__Command'] = "postconf -e 'smtpd_client_restrictions = permit_mynetworks,reject'"
default['rhel7STIG']['stigrule_204619']['Setting']['postconf__e__smtpd_client_restrictions___permit_mynetworks_reject__Only_if'] = "yum list installed postfix | grep -q postfix && ! postconf -n smtpd_client_restrictions | grep -q '^smtpd_client_restrictions = permit_mynetworks,reject$'"

# R-204620 RHEL-07-040690
default['rhel7STIG']['stigrule_204620']['Manage'] = true
default['rhel7STIG']['stigrule_204620']['Title'] = "The Red Hat Enterprise Linux operating system must not have a File Transfer Protocol (FTP) server package installed unless needed."
default['rhel7STIG']['stigrule_204620']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204620']['Setting']['vsftpd_PackageName'] = 'vsftpd'
default['rhel7STIG']['stigrule_204620']['Setting']['vsftpd_Action'] = :remove

# R-204621 RHEL-07-040700
default['rhel7STIG']['stigrule_204621']['Manage'] = true
default['rhel7STIG']['stigrule_204621']['Title'] = "The Red Hat Enterprise Linux operating system must not have the Trivial File Transfer Protocol (TFTP) server package installed if not required for operational support."
default['rhel7STIG']['stigrule_204621']['Severity'] = 'high'
default['rhel7STIG']['stigrule_204621']['Setting']['tftp_server_PackageName'] = 'tftp-server'
default['rhel7STIG']['stigrule_204621']['Setting']['tftp_server_Action'] = :remove

# R-204622 RHEL-07-040710
default['rhel7STIG']['stigrule_204622']['Manage'] = true
default['rhel7STIG']['stigrule_204622']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that remote X connections are disabled except to fulfill documented and validated mission requirements."
default['rhel7STIG']['stigrule_204622']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204622']['Setting']['X11Forwarding_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_204622']['Setting']['X11Forwarding_Regexp'] = '^\s*(?i)X11Forwarding\s+'
default['rhel7STIG']['stigrule_204622']['Setting']['X11Forwarding_Line'] = 'X11Forwarding no'
default['rhel7STIG']['stigrule_204622']['Setting']['X11Forwarding_Only_if'] = "rpm -q openssh-server.x86_64"

# R-204624 RHEL-07-040730
# Document the requirement for an X Windows server with the ISSO or remove.
default['rhel7STIG']['stigrule_204624']['Manage'] = false
default['rhel7STIG']['stigrule_204624']['Title'] = "The Red Hat Enterprise Linux operating system must not have a graphical display manager installed unless approved."
default['rhel7STIG']['stigrule_204624']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204624']['Setting']['xorg_x11_server_common_PackageName'] = 'xorg-x11-server-common'
default['rhel7STIG']['stigrule_204624']['Setting']['xorg_x11_server_common_Action'] = :remove

# R-204625 RHEL-07-040740
default['rhel7STIG']['stigrule_204625']['Manage'] = true
default['rhel7STIG']['stigrule_204625']['Title'] = "The Red Hat Enterprise Linux operating system must not be performing packet forwarding unless the system is a router."
default['rhel7STIG']['stigrule_204625']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204625']['Setting']['net_ipv4_ip_forward_Key'] = 'net.ipv4.ip_forward'
default['rhel7STIG']['stigrule_204625']['Setting']['net_ipv4_ip_forward_Value'] = 0

# R-204630 RHEL-07-040830
default['rhel7STIG']['stigrule_204630']['Manage'] = true
default['rhel7STIG']['stigrule_204630']['Title'] = "The Red Hat Enterprise Linux operating system must not forward IPv6 source-routed packets."
default['rhel7STIG']['stigrule_204630']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204630']['Setting']['net_ipv6_conf_all_accept_source_route_Key'] = 'net.ipv6.conf.all.accept_source_route'
default['rhel7STIG']['stigrule_204630']['Setting']['net_ipv6_conf_all_accept_source_route_Value'] = 0

# R-204631 RHEL-07-041001
default['rhel7STIG']['stigrule_204631']['Manage'] = true
default['rhel7STIG']['stigrule_204631']['Title'] = "The Red Hat Enterprise Linux operating system must have the required packages for multifactor authentication installed."
default['rhel7STIG']['stigrule_204631']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204631']['Setting']['pam_pkcs11_PackageName'] = 'pam_pkcs11'
default['rhel7STIG']['stigrule_204631']['Setting']['pam_pkcs11_Action'] = :install

# R-204634 RHEL-07-041010
default['rhel7STIG']['stigrule_204634']['Manage'] = true
default['rhel7STIG']['stigrule_204634']['Title'] = "The Red Hat Enterprise Linux operating system must be configured so that all wireless network adapters are disabled."
default['rhel7STIG']['stigrule_204634']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_204634']['Setting']['nmcli_radio_wifi_off_Command'] = "nmcli radio wifi off"
default['rhel7STIG']['stigrule_204634']['Setting']['nmcli_radio_wifi_off_Only_if'] = "[[ $(nmcli radio wifi) == 'enabled' ]]"

# R-233307 RHEL-07-040711
default['rhel7STIG']['stigrule_233307']['Manage'] = true
default['rhel7STIG']['stigrule_233307']['Title'] = "The Red Hat Enterprise Linux operating system SSH daemon must prevent remote hosts from connecting to the proxy display."
default['rhel7STIG']['stigrule_233307']['Severity'] = 'medium'
default['rhel7STIG']['stigrule_233307']['Setting']['X11UseLocalhost_Path'] = '/etc/ssh/sshd_config'
default['rhel7STIG']['stigrule_233307']['Setting']['X11UseLocalhost_Regexp'] = '^\s*(?i)X11UseLocalhost\s+'
default['rhel7STIG']['stigrule_233307']['Setting']['X11UseLocalhost_Line'] = 'X11UseLocalhost yes'
default['rhel7STIG']['stigrule_233307']['Setting']['X11UseLocalhost_Only_if'] = "rpm -q openssh-server.x86_64"

