execute 'dconf_update' do
  command 'dconf update'
  action :nothing
end
service 'ssh_restart' do
  service_name 'sshd'
  action :nothing
end
execute 'auditd_restart' do
  command 'service auditd restart'
  action :nothing
end
execute 'do_reboot' do
  command 'shutdown -r 1'
  action :nothing
end
if node['rhel7STIG']['stigrule_204509']['Manage'] || node['rhel7STIG']['stigrule_204510']['Manage'] || node['rhel7STIG']['stigrule_204511']['Manage'] || node['rhel7STIG']['stigrule_204512']['Manage']
  file '/etc/audisp/audisp-remote.conf' do
    action :create_if_missing
  end
end
if node['rhel7STIG']['stigrule_204506']['Manage']
  file '/etc/audisp/plugins.d/au-remote.conf' do
    action :create_if_missing
  end
end
if node['rhel7STIG']['stigrule_204449']['Manage']
  file '/etc/modprobe.d/blacklist.conf' do
    action :create_if_missing
  end
  file '/etc/modprobe.d/usb-storage.conf' do
    action :create_if_missing
  end
end
if node['rhel7STIG']['stigrule_204393']['Manage'] || node['rhel7STIG']['stigrule_204394']['Manage']
  file '/etc/dconf/db/local.d/01-banner-message' do
    action :create_if_missing
    only_if 'rpm -q dconf'
  end
end
if node['rhel7STIG']['stigrule_204396']['Manage'] || node['rhel7STIG']['stigrule_204398']['Manage'] || node['rhel7STIG']['stigrule_204402']['Manage'] || node['rhel7STIG']['stigrule_204404']['Manage']
  file '/etc/dconf/db/local.d/00-screensaver' do
    action :create_if_missing
    only_if 'rpm -q dconf'
  end
end
if node['rhel7STIG']['stigrule_204399']['Manage'] || node['rhel7STIG']['stigrule_204400']['Manage'] || node['rhel7STIG']['stigrule_204403']['Manage']
  file '/etc/dconf/db/local.d/locks/session' do
    action :create_if_missing
    only_if 'rpm -q dconf'
  end
end
if node['rhel7STIG']['stigrule_204397']['Manage']
  file '/etc/dconf/db/local.d/00-defaults' do
    action :create_if_missing
    only_if 'rpm -q dconf'
  end
end
if node['rhel7STIG']['stigrule_204455']['Manage']
  file '/etc/dconf/db/local.d/00-disable-CAD' do
    action :create_if_missing
    only_if 'rpm -q dconf'
  end
end
if node['rhel7STIG']['stigrule_204393']['Manage']
  ini_setting '_etc_dconf_db_local_d_01_banner_message_204393' do
    path node['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Path']
    section node['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Section']
    setting node['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Option']
    value node['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Value']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204393']['Setting']['_etc_dconf_db_local_d_01_banner_message_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204394']['Manage']
  ini_setting '_etc_dconf_db_local_d_01_banner_message_204394' do
    path node['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Path']
    section node['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Section']
    setting node['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Option']
    value node['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Value']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204394']['Setting']['_etc_dconf_db_local_d_01_banner_message_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204395']['Manage']
  file '_etc_issue_204395' do
    path node['rhel7STIG']['stigrule_204395']['Setting']['_etc_issue_Path']
    content node['rhel7STIG']['stigrule_204395']['Setting']['_etc_issue_Content']
  end
end
if node['rhel7STIG']['stigrule_204396']['Manage']
  ini_setting '_etc_dconf_db_local_d_00_screensaver_204396' do
    path node['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Path']
    section node['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Section']
    setting node['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Option']
    value node['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Value']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204396']['Setting']['_etc_dconf_db_local_d_00_screensaver_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204398']['Manage']
  ini_setting '_etc_dconf_db_local_d_00_screensaver_204398' do
    path node['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Path']
    section node['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Section']
    setting node['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Option']
    value node['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Value']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204398']['Setting']['_etc_dconf_db_local_d_00_screensaver_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204402']['Manage']
  ini_setting '_etc_dconf_db_local_d_00_screensaver_204402' do
    path node['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Path']
    section node['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Section']
    setting node['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Option']
    value node['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Value']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204402']['Setting']['_etc_dconf_db_local_d_00_screensaver_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204404']['Manage']
  ini_setting '_etc_dconf_db_local_d_00_screensaver_204404' do
    path node['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Path']
    section node['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Section']
    setting node['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Option']
    value node['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Value']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204404']['Setting']['_etc_dconf_db_local_d_00_screensaver_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204397']['Manage']
  ini_setting '_etc_dconf_db_local_d_00_defaults_204397' do
    path node['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Path']
    section node['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Section']
    setting node['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Option']
    value node['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Value']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204397']['Setting']['_etc_dconf_db_local_d_00_defaults_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204399']['Manage']
  file_line '_etc_dconf_db_local_d_locks_session_204399' do
    path node['rhel7STIG']['stigrule_204399']['Setting']['_etc_dconf_db_local_d_locks_session_Path']
    line node['rhel7STIG']['stigrule_204399']['Setting']['_etc_dconf_db_local_d_locks_session_Line']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204399']['Setting']['_etc_dconf_db_local_d_locks_session_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204400']['Manage']
  file_line '_etc_dconf_db_local_d_locks_session_204400' do
    path node['rhel7STIG']['stigrule_204400']['Setting']['_etc_dconf_db_local_d_locks_session_Path']
    line node['rhel7STIG']['stigrule_204400']['Setting']['_etc_dconf_db_local_d_locks_session_Line']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204400']['Setting']['_etc_dconf_db_local_d_locks_session_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204403']['Manage']
  file_line '_etc_dconf_db_local_d_locks_session_204403' do
    path node['rhel7STIG']['stigrule_204403']['Setting']['_etc_dconf_db_local_d_locks_session_Path']
    line node['rhel7STIG']['stigrule_204403']['Setting']['_etc_dconf_db_local_d_locks_session_Line']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_204403']['Setting']['_etc_dconf_db_local_d_locks_session_Only_if']
  end
end
if node['rhel7STIG']['stigrule_214937']['Manage']
  file_line '_etc_dconf_db_local_d_locks_session_214937' do
    path node['rhel7STIG']['stigrule_214937']['Setting']['_etc_dconf_db_local_d_locks_session_Path']
    line node['rhel7STIG']['stigrule_214937']['Setting']['_etc_dconf_db_local_d_locks_session_Line']
    notifies :run, 'execute[dconf_update]', :delayed
    only_if node['rhel7STIG']['stigrule_214937']['Setting']['_etc_dconf_db_local_d_locks_session_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204407']['Manage']
  file_line '_etc_security_pwquality_conf_204407' do
    path node['rhel7STIG']['stigrule_204407']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204407']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204407']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204408']['Manage']
  file_line '_etc_security_pwquality_conf_204408' do
    path node['rhel7STIG']['stigrule_204408']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204408']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204408']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204409']['Manage']
  file_line '_etc_security_pwquality_conf_204409' do
    path node['rhel7STIG']['stigrule_204409']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204409']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204409']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204410']['Manage']
  file_line '_etc_security_pwquality_conf_204410' do
    path node['rhel7STIG']['stigrule_204410']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204410']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204410']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204411']['Manage']
  file_line '_etc_security_pwquality_conf_204411' do
    path node['rhel7STIG']['stigrule_204411']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204411']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204411']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204412']['Manage']
  file_line '_etc_security_pwquality_conf_204412' do
    path node['rhel7STIG']['stigrule_204412']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204412']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204412']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204413']['Manage']
  file_line '_etc_security_pwquality_conf_204413' do
    path node['rhel7STIG']['stigrule_204413']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204413']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204413']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204414']['Manage']
  file_line '_etc_security_pwquality_conf_204414' do
    path node['rhel7STIG']['stigrule_204414']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204414']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204414']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204423']['Manage']
  file_line '_etc_security_pwquality_conf_204423' do
    path node['rhel7STIG']['stigrule_204423']['Setting']['_etc_security_pwquality_conf_Path']
    match node['rhel7STIG']['stigrule_204423']['Setting']['_etc_security_pwquality_conf_Regexp']
    line node['rhel7STIG']['stigrule_204423']['Setting']['_etc_security_pwquality_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204416']['Manage']
  file_line '_etc_login_defs_204416' do
    path node['rhel7STIG']['stigrule_204416']['Setting']['_etc_login_defs_Path']
    match node['rhel7STIG']['stigrule_204416']['Setting']['_etc_login_defs_Regexp']
    line node['rhel7STIG']['stigrule_204416']['Setting']['_etc_login_defs_Line']
  end
end
if node['rhel7STIG']['stigrule_204418']['Manage']
  file_line '_etc_login_defs_204418' do
    path node['rhel7STIG']['stigrule_204418']['Setting']['_etc_login_defs_Path']
    match node['rhel7STIG']['stigrule_204418']['Setting']['_etc_login_defs_Regexp']
    line node['rhel7STIG']['stigrule_204418']['Setting']['_etc_login_defs_Line']
  end
end
if node['rhel7STIG']['stigrule_204420']['Manage']
  file_line '_etc_login_defs_204420' do
    path node['rhel7STIG']['stigrule_204420']['Setting']['_etc_login_defs_Path']
    match node['rhel7STIG']['stigrule_204420']['Setting']['_etc_login_defs_Regexp']
    line node['rhel7STIG']['stigrule_204420']['Setting']['_etc_login_defs_Line']
  end
end
if node['rhel7STIG']['stigrule_204431']['Manage']
  file_line '_etc_login_defs_204431' do
    path node['rhel7STIG']['stigrule_204431']['Setting']['_etc_login_defs_Path']
    match node['rhel7STIG']['stigrule_204431']['Setting']['_etc_login_defs_Regexp']
    line node['rhel7STIG']['stigrule_204431']['Setting']['_etc_login_defs_Line']
  end
end
if node['rhel7STIG']['stigrule_204457']['Manage']
  file_line '_etc_login_defs_204457' do
    path node['rhel7STIG']['stigrule_204457']['Setting']['_etc_login_defs_Path']
    match node['rhel7STIG']['stigrule_204457']['Setting']['_etc_login_defs_Regexp']
    line node['rhel7STIG']['stigrule_204457']['Setting']['_etc_login_defs_Line']
  end
end
if node['rhel7STIG']['stigrule_204466']['Manage']
  file_line '_etc_login_defs_204466' do
    path node['rhel7STIG']['stigrule_204466']['Setting']['_etc_login_defs_Path']
    match node['rhel7STIG']['stigrule_204466']['Setting']['_etc_login_defs_Regexp']
    line node['rhel7STIG']['stigrule_204466']['Setting']['_etc_login_defs_Line']
  end
end
if node['rhel7STIG']['stigrule_204417']['Manage']
  ini_setting '_etc_libuser_conf_204417' do
    path node['rhel7STIG']['stigrule_204417']['Setting']['_etc_libuser_conf_Path']
    section node['rhel7STIG']['stigrule_204417']['Setting']['_etc_libuser_conf_Section']
    setting node['rhel7STIG']['stigrule_204417']['Setting']['_etc_libuser_conf_Option']
    value node['rhel7STIG']['stigrule_204417']['Setting']['_etc_libuser_conf_Value']
    separator ' = '
  end
end
if node['rhel7STIG']['stigrule_204419']['Manage']
  %x(awk -F: '{cmd="id -u "$1|getline uid;if($4<1 && uid>=1000 && uid!=65534 && uid!=65535 && uid!=4294967294 && uid!=4294967295){print $1}}' /etc/shadow).each_line do |foreach|
  execute 'chage__m_1_user_204419' do
    command node['rhel7STIG']['stigrule_204419']['Setting']['chage__m_1_user_Command'] + " #{foreach}"
  end
  end
end
if node['rhel7STIG']['stigrule_204421']['Manage']
  %x(awk -F: '{cmd="id -u "$1|getline uid;if($5>60 && uid>=1000 && uid!=65534 && uid!=65535 && uid!=4294967294 && uid!=4294967295){print $1}}' /etc/shadow).each_line do |foreach|
  execute 'chage__M_60_user_204421' do
    command node['rhel7STIG']['stigrule_204421']['Setting']['chage__M_60_user_Command'] + " #{foreach}"
  end
  end
end
if node['rhel7STIG']['stigrule_204425']['Manage']
  file_line 'PermitEmptyPasswords_204425' do
    path node['rhel7STIG']['stigrule_204425']['Setting']['PermitEmptyPasswords_Path']
    match node['rhel7STIG']['stigrule_204425']['Setting']['PermitEmptyPasswords_Regexp']
    line node['rhel7STIG']['stigrule_204425']['Setting']['PermitEmptyPasswords_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204425']['Setting']['PermitEmptyPasswords_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204426']['Manage']
  file_line '_etc_default_useradd_204426' do
    path node['rhel7STIG']['stigrule_204426']['Setting']['_etc_default_useradd_Path']
    match node['rhel7STIG']['stigrule_204426']['Setting']['_etc_default_useradd_Regexp']
    line node['rhel7STIG']['stigrule_204426']['Setting']['_etc_default_useradd_Line']
  end
end
if node['rhel7STIG']['stigrule_204432']['Manage']
  ini_setting '_etc_gdm_custom_conf_204432' do
    path node['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Path']
    section node['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Section']
    setting node['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Option']
    value node['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Value']
    only_if node['rhel7STIG']['stigrule_204432']['Setting']['_etc_gdm_custom_conf_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204433']['Manage']
  ini_setting '_etc_gdm_custom_conf_204433' do
    path node['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Path']
    section node['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Section']
    setting node['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Option']
    value node['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Value']
    only_if node['rhel7STIG']['stigrule_204433']['Setting']['_etc_gdm_custom_conf_Only_if']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204434']['Manage']
  file_line 'PermitUserEnvironment_204434' do
    path node['rhel7STIG']['stigrule_204434']['Setting']['PermitUserEnvironment_Path']
    match node['rhel7STIG']['stigrule_204434']['Setting']['PermitUserEnvironment_Regexp']
    line node['rhel7STIG']['stigrule_204434']['Setting']['PermitUserEnvironment_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204434']['Setting']['PermitUserEnvironment_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204435']['Manage']
  file_line 'HostbasedAuthentication_204435' do
    path node['rhel7STIG']['stigrule_204435']['Setting']['HostbasedAuthentication_Path']
    match node['rhel7STIG']['stigrule_204435']['Setting']['HostbasedAuthentication_Regexp']
    line node['rhel7STIG']['stigrule_204435']['Setting']['HostbasedAuthentication_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204435']['Setting']['HostbasedAuthentication_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204442']['Manage']
  yum_package 'rsh_server_204442' do
    package_name node['rhel7STIG']['stigrule_204442']['Setting']['rsh_server_PackageName']
    action node['rhel7STIG']['stigrule_204442']['Setting']['rsh_server_Action']
  end
end
if node['rhel7STIG']['stigrule_204443']['Manage']
  yum_package 'ypserv_204443' do
    package_name node['rhel7STIG']['stigrule_204443']['Setting']['ypserv_PackageName']
    action node['rhel7STIG']['stigrule_204443']['Setting']['ypserv_Action']
  end
end
if node['rhel7STIG']['stigrule_204445']['Manage']
  file '_etc_cron_daily_aide_204445' do
    path node['rhel7STIG']['stigrule_204445']['Setting']['_etc_cron_daily_aide_Path']
    content node['rhel7STIG']['stigrule_204445']['Setting']['_etc_cron_daily_aide_Content']
    mode node['rhel7STIG']['stigrule_204445']['Setting']['_etc_cron_daily_aide_Mode']
    notifies :install, 'yum_package[aide_204445]', :before
  end
end
if node['rhel7STIG']['stigrule_204445']['Manage']
  yum_package 'aide_204445' do
    package_name node['rhel7STIG']['stigrule_204445']['Setting']['aide_PackageName']
    action node['rhel7STIG']['stigrule_204445']['Setting']['aide_Action']
  end
end
if node['rhel7STIG']['stigrule_204446']['Manage']
  file '_etc_cron_daily_aide_notify_204446' do
    path node['rhel7STIG']['stigrule_204446']['Setting']['_etc_cron_daily_aide_notify_Path']
    content node['rhel7STIG']['stigrule_204446']['Setting']['_etc_cron_daily_aide_notify_Content']
    mode node['rhel7STIG']['stigrule_204446']['Setting']['_etc_cron_daily_aide_notify_Mode']
    notifies :install, 'yum_package[aide_notify_204446]', :before
  end
end
if node['rhel7STIG']['stigrule_204446']['Manage']
  yum_package 'aide_notify_204446' do
    package_name node['rhel7STIG']['stigrule_204446']['Setting']['aide_notify_PackageName']
    action node['rhel7STIG']['stigrule_204446']['Setting']['aide_notify_Action']
  end
end
if node['rhel7STIG']['stigrule_204447']['Manage']
  ini_setting '_etc_yum_conf_204447' do
    path node['rhel7STIG']['stigrule_204447']['Setting']['_etc_yum_conf_Path']
    section node['rhel7STIG']['stigrule_204447']['Setting']['_etc_yum_conf_Section']
    setting node['rhel7STIG']['stigrule_204447']['Setting']['_etc_yum_conf_Option']
    value node['rhel7STIG']['stigrule_204447']['Setting']['_etc_yum_conf_Value']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204448']['Manage']
  ini_setting '_etc_yum_conf_204448' do
    path node['rhel7STIG']['stigrule_204448']['Setting']['_etc_yum_conf_Path']
    section node['rhel7STIG']['stigrule_204448']['Setting']['_etc_yum_conf_Section']
    setting node['rhel7STIG']['stigrule_204448']['Setting']['_etc_yum_conf_Option']
    value node['rhel7STIG']['stigrule_204448']['Setting']['_etc_yum_conf_Value']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204452']['Manage']
  ini_setting '_etc_yum_conf_204452' do
    path node['rhel7STIG']['stigrule_204452']['Setting']['_etc_yum_conf_Path']
    section node['rhel7STIG']['stigrule_204452']['Setting']['_etc_yum_conf_Section']
    setting node['rhel7STIG']['stigrule_204452']['Setting']['_etc_yum_conf_Option']
    value node['rhel7STIG']['stigrule_204452']['Setting']['_etc_yum_conf_Value']
    separator '='
  end
end
if node['rhel7STIG']['stigrule_204449']['Manage']
  file_line '_etc_modprobe_d_blacklist_conf_204449' do
    path node['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_blacklist_conf_Path']
    match node['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_blacklist_conf_Regexp']
    line node['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_blacklist_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204450']['Manage']
  file_line '_etc_modprobe_d_blacklist_conf_204450' do
    path node['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_blacklist_conf_Path']
    match node['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_blacklist_conf_Regexp']
    line node['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_blacklist_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204449']['Manage']
  file_line '_etc_modprobe_d_usb_storage_conf_204449' do
    path node['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_usb_storage_conf_Path']
    match node['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_usb_storage_conf_Regexp']
    line node['rhel7STIG']['stigrule_204449']['Setting']['_etc_modprobe_d_usb_storage_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204450']['Manage']
  file '_etc_modprobe_d_dccp_conf_204450' do
    path node['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_dccp_conf_Path']
    content node['rhel7STIG']['stigrule_204450']['Setting']['_etc_modprobe_d_dccp_conf_Content']
  end
end
if node['rhel7STIG']['stigrule_204451']['Manage']
  service 'autofs_disable_204451' do
    service_name node['rhel7STIG']['stigrule_204451']['Setting']['autofs_disable_ServiceName']
    action node['rhel7STIG']['stigrule_204451']['Setting']['autofs_disable_Action']
  end
end
if node['rhel7STIG']['stigrule_204451']['Manage']
  service 'autofs_stop_204451' do
    service_name node['rhel7STIG']['stigrule_204451']['Setting']['autofs_stop_ServiceName']
    action node['rhel7STIG']['stigrule_204451']['Setting']['autofs_stop_Action']
  end
end
if node['rhel7STIG']['stigrule_204453']['Manage']
  file_line '_etc_selinux_config_204453' do
    path node['rhel7STIG']['stigrule_204453']['Setting']['_etc_selinux_config_Path']
    match node['rhel7STIG']['stigrule_204453']['Setting']['_etc_selinux_config_Regexp']
    line node['rhel7STIG']['stigrule_204453']['Setting']['_etc_selinux_config_Line']
    notifies :run, 'execute[do_reboot]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204454']['Manage']
  file_line '_etc_selinux_config_204454' do
    path node['rhel7STIG']['stigrule_204454']['Setting']['_etc_selinux_config_Path']
    match node['rhel7STIG']['stigrule_204454']['Setting']['_etc_selinux_config_Regexp']
    line node['rhel7STIG']['stigrule_204454']['Setting']['_etc_selinux_config_Line']
    notifies :run, 'execute[do_reboot]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204455']['Manage']
  execute 'systemctl_mask_ctrl_alt_del_target_204455' do
    command node['rhel7STIG']['stigrule_204455']['Setting']['systemctl_mask_ctrl_alt_del_target_Command']
    only_if node['rhel7STIG']['stigrule_204455']['Setting']['systemctl_mask_ctrl_alt_del_target_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204489']['Manage']
  file_line '_etc_rsyslog_conf_204489' do
    path node['rhel7STIG']['stigrule_204489']['Setting']['_etc_rsyslog_conf_Path']
    match node['rhel7STIG']['stigrule_204489']['Setting']['_etc_rsyslog_conf_Regexp']
    line node['rhel7STIG']['stigrule_204489']['Setting']['_etc_rsyslog_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204490']['Manage']
  file '_etc_cron_allow_204490' do
    path node['rhel7STIG']['stigrule_204490']['Setting']['_etc_cron_allow_Path']
    owner node['rhel7STIG']['stigrule_204490']['Setting']['_etc_cron_allow_Owner']
    only_if node['rhel7STIG']['stigrule_204490']['Setting']['_etc_cron_allow_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204491']['Manage']
  file '_etc_cron_allow_204491' do
    path node['rhel7STIG']['stigrule_204491']['Setting']['_etc_cron_allow_Path']
    group node['rhel7STIG']['stigrule_204491']['Setting']['_etc_cron_allow_Group']
    only_if node['rhel7STIG']['stigrule_204491']['Setting']['_etc_cron_allow_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204492']['Manage']
  service 'kdump_disable_204492' do
    service_name node['rhel7STIG']['stigrule_204492']['Setting']['kdump_disable_ServiceName']
    action node['rhel7STIG']['stigrule_204492']['Setting']['kdump_disable_Action']
  end
end
if node['rhel7STIG']['stigrule_204492']['Manage']
  service 'kdump_stop_204492' do
    service_name node['rhel7STIG']['stigrule_204492']['Setting']['kdump_stop_ServiceName']
    action node['rhel7STIG']['stigrule_204492']['Setting']['kdump_stop_Action']
  end
end
if node['rhel7STIG']['stigrule_204496']['Manage']
  service 'tmp_mount_204496' do
    service_name node['rhel7STIG']['stigrule_204496']['Setting']['tmp_mount_ServiceName']
    action node['rhel7STIG']['stigrule_204496']['Setting']['tmp_mount_Action']
  end
end
if node['rhel7STIG']['stigrule_204502']['Manage']
  yum_package 'telnet_server_204502' do
    package_name node['rhel7STIG']['stigrule_204502']['Setting']['telnet_server_PackageName']
    action node['rhel7STIG']['stigrule_204502']['Setting']['telnet_server_Action']
  end
end
if node['rhel7STIG']['stigrule_204503']['Manage']
  service 'auditd_enable_204503' do
    service_name node['rhel7STIG']['stigrule_204503']['Setting']['auditd_enable_ServiceName']
    action node['rhel7STIG']['stigrule_204503']['Setting']['auditd_enable_Action']
  end
end
if node['rhel7STIG']['stigrule_204503']['Manage']
  service 'auditd_start_204503' do
    service_name node['rhel7STIG']['stigrule_204503']['Setting']['auditd_start_ServiceName']
    action node['rhel7STIG']['stigrule_204503']['Setting']['auditd_start_Action']
  end
end
if node['rhel7STIG']['stigrule_204504']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_critical_error_204504' do
    path node['rhel7STIG']['stigrule_204504']['Setting']['_etc_audit_rules_d_audit_rules_critical_error_Path']
    match node['rhel7STIG']['stigrule_204504']['Setting']['_etc_audit_rules_d_audit_rules_critical_error_Regexp']
    line node['rhel7STIG']['stigrule_204504']['Setting']['_etc_audit_rules_d_audit_rules_critical_error_Line']
  end
end
if node['rhel7STIG']['stigrule_204506']['Manage']
  file_line '_etc_audisp_plugins_d_au_remote_conf_direction_204506' do
    path node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_direction_Path']
    match node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_direction_Regexp']
    line node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_direction_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204506']['Manage']
  file_line '_etc_audisp_plugins_d_au_remote_conf_path_204506' do
    path node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_path_Path']
    match node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_path_Regexp']
    line node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_path_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204506']['Manage']
  file_line '_etc_audisp_plugins_d_au_remote_conf_type_204506' do
    path node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_type_Path']
    match node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_type_Regexp']
    line node['rhel7STIG']['stigrule_204506']['Setting']['_etc_audisp_plugins_d_au_remote_conf_type_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204507']['Manage']
  file_line '_etc_audisp_audispd_conf_204507' do
    path node['rhel7STIG']['stigrule_204507']['Setting']['_etc_audisp_audispd_conf_Path']
    match node['rhel7STIG']['stigrule_204507']['Setting']['_etc_audisp_audispd_conf_Regexp']
    line node['rhel7STIG']['stigrule_204507']['Setting']['_etc_audisp_audispd_conf_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204508']['Manage']
  file_line '_etc_audisp_audispd_conf_204508' do
    path node['rhel7STIG']['stigrule_204508']['Setting']['_etc_audisp_audispd_conf_Path']
    match node['rhel7STIG']['stigrule_204508']['Setting']['_etc_audisp_audispd_conf_Regexp']
    line node['rhel7STIG']['stigrule_204508']['Setting']['_etc_audisp_audispd_conf_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204509']['Manage']
  file_line '_etc_audisp_audisp_remote_conf_204509' do
    path node['rhel7STIG']['stigrule_204509']['Setting']['_etc_audisp_audisp_remote_conf_Path']
    match node['rhel7STIG']['stigrule_204509']['Setting']['_etc_audisp_audisp_remote_conf_Regexp']
    line node['rhel7STIG']['stigrule_204509']['Setting']['_etc_audisp_audisp_remote_conf_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204510']['Manage']
  file_line '_etc_audisp_audisp_remote_conf_204510' do
    path node['rhel7STIG']['stigrule_204510']['Setting']['_etc_audisp_audisp_remote_conf_Path']
    match node['rhel7STIG']['stigrule_204510']['Setting']['_etc_audisp_audisp_remote_conf_Regexp']
    line node['rhel7STIG']['stigrule_204510']['Setting']['_etc_audisp_audisp_remote_conf_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204511']['Manage']
  file_line '_etc_audisp_audisp_remote_conf_204511' do
    path node['rhel7STIG']['stigrule_204511']['Setting']['_etc_audisp_audisp_remote_conf_Path']
    match node['rhel7STIG']['stigrule_204511']['Setting']['_etc_audisp_audisp_remote_conf_Regexp']
    line node['rhel7STIG']['stigrule_204511']['Setting']['_etc_audisp_audisp_remote_conf_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204512']['Manage']
  file_line '_etc_audisp_audisp_remote_conf_204512' do
    path node['rhel7STIG']['stigrule_204512']['Setting']['_etc_audisp_audisp_remote_conf_Path']
    match node['rhel7STIG']['stigrule_204512']['Setting']['_etc_audisp_audisp_remote_conf_Regexp']
    line node['rhel7STIG']['stigrule_204512']['Setting']['_etc_audisp_audisp_remote_conf_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204514']['Manage']
  file_line '_etc_audit_auditd_conf_204514' do
    path node['rhel7STIG']['stigrule_204514']['Setting']['_etc_audit_auditd_conf_Path']
    match node['rhel7STIG']['stigrule_204514']['Setting']['_etc_audit_auditd_conf_Regexp']
    line node['rhel7STIG']['stigrule_204514']['Setting']['_etc_audit_auditd_conf_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204515']['Manage']
  file_line '_etc_audit_auditd_conf_204515' do
    path node['rhel7STIG']['stigrule_204515']['Setting']['_etc_audit_auditd_conf_Path']
    match node['rhel7STIG']['stigrule_204515']['Setting']['_etc_audit_auditd_conf_Regexp']
    line node['rhel7STIG']['stigrule_204515']['Setting']['_etc_audit_auditd_conf_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204516']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_euid_b32_204516' do
    path node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b32_Path']
    match node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b32_Regexp']
    line node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204516']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_euid_b64_204516' do
    path node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b64_Path']
    match node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b64_Regexp']
    line node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_euid_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204516']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_egid_b32_204516' do
    path node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b32_Path']
    match node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b32_Regexp']
    line node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204516']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_egid_b64_204516' do
    path node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b64_Path']
    match node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b64_Regexp']
    line node['rhel7STIG']['stigrule_204516']['Setting']['_etc_audit_rules_d_audit_rules_egid_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204517']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b32_204517' do
    path node['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path']
    match node['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp']
    line node['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204521']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b32_204521' do
    path node['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path']
    match node['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp']
    line node['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204524']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b32_204524' do
    path node['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path']
    match node['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp']
    line node['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204560']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b32_204560' do
    path node['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path']
    match node['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp']
    line node['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204562']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b32_204562' do
    path node['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path']
    match node['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp']
    line node['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204572']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b32_204572' do
    path node['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b32_Path']
    match node['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b32_Regexp']
    line node['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204517']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b64_204517' do
    path node['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path']
    match node['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp']
    line node['rhel7STIG']['stigrule_204517']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204521']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b64_204521' do
    path node['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path']
    match node['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp']
    line node['rhel7STIG']['stigrule_204521']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204524']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b64_204524' do
    path node['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path']
    match node['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp']
    line node['rhel7STIG']['stigrule_204524']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204560']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b64_204560' do
    path node['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path']
    match node['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp']
    line node['rhel7STIG']['stigrule_204560']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204562']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b64_204562' do
    path node['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path']
    match node['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp']
    line node['rhel7STIG']['stigrule_204562']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204572']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_b64_204572' do
    path node['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b64_Path']
    match node['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b64_Regexp']
    line node['rhel7STIG']['stigrule_204572']['Setting']['_etc_audit_rules_d_audit_rules_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204531']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_EPERM_b32_204531' do
    path node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b32_Path']
    match node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b32_Regexp']
    line node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204531']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_EPERM_b64_204531' do
    path node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b64_Path']
    match node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b64_Regexp']
    line node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EPERM_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204531']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_EACCES_b32_204531' do
    path node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b32_Path']
    match node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b32_Regexp']
    line node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204531']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_EACCES_b64_204531' do
    path node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b64_Path']
    match node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b64_Regexp']
    line node['rhel7STIG']['stigrule_204531']['Setting']['_etc_audit_rules_d_audit_rules_EACCES_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204536']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204536' do
    path node['rhel7STIG']['stigrule_204536']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204536']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204536']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204537']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204537' do
    path node['rhel7STIG']['stigrule_204537']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204537']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204537']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204538']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204538' do
    path node['rhel7STIG']['stigrule_204538']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204538']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204538']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204539']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204539' do
    path node['rhel7STIG']['stigrule_204539']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204539']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204539']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204540']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204540' do
    path node['rhel7STIG']['stigrule_204540']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204540']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204540']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204541']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204541' do
    path node['rhel7STIG']['stigrule_204541']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204541']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204541']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204542']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204542' do
    path node['rhel7STIG']['stigrule_204542']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204542']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204542']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204543']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204543' do
    path node['rhel7STIG']['stigrule_204543']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204543']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204543']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204544']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204544' do
    path node['rhel7STIG']['stigrule_204544']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204544']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204544']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204545']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204545' do
    path node['rhel7STIG']['stigrule_204545']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204545']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204545']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204546']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204546' do
    path node['rhel7STIG']['stigrule_204546']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204546']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204546']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204547']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204547' do
    path node['rhel7STIG']['stigrule_204547']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204547']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204547']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204548']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204548' do
    path node['rhel7STIG']['stigrule_204548']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204548']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204548']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204550']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204550' do
    path node['rhel7STIG']['stigrule_204550']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204550']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204550']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204551']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204551' do
    path node['rhel7STIG']['stigrule_204551']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204551']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204551']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204553']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204553' do
    path node['rhel7STIG']['stigrule_204553']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204553']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204553']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204554']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204554' do
    path node['rhel7STIG']['stigrule_204554']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204554']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204554']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204555']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204555' do
    path node['rhel7STIG']['stigrule_204555']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204555']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204555']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204556']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204556' do
    path node['rhel7STIG']['stigrule_204556']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204556']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204556']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204557']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204557' do
    path node['rhel7STIG']['stigrule_204557']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204557']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204557']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204558']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204558' do
    path node['rhel7STIG']['stigrule_204558']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204558']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204558']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204563']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204563' do
    path node['rhel7STIG']['stigrule_204563']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204563']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204563']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204564']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_204564' do
    path node['rhel7STIG']['stigrule_204564']['Setting']['_etc_audit_rules_d_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204564']['Setting']['_etc_audit_rules_d_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204564']['Setting']['_etc_audit_rules_d_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204549']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_sudoers_204549' do
    path node['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_Path']
    match node['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_Regexp']
    line node['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204549']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_sudoers_d_204549' do
    path node['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_d_Path']
    match node['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_d_Regexp']
    line node['rhel7STIG']['stigrule_204549']['Setting']['_etc_audit_rules_d_audit_rules_sudoers_d_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204552']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_mount_b32_204552' do
    path node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b32_Path']
    match node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b32_Regexp']
    line node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204552']['Manage']
  file_line '_etc_audit_rules_d_audit_rules_mount_b64_204552' do
    path node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b64_Path']
    match node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b64_Regexp']
    line node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules_mount_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204552']['Manage']
  file_line '_etc_audit_rules_d_audit_rules__usr_bin_mount_204552' do
    path node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules__usr_bin_mount_Path']
    match node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules__usr_bin_mount_Regexp']
    line node['rhel7STIG']['stigrule_204552']['Setting']['_etc_audit_rules_d_audit_rules__usr_bin_mount_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204559']['Manage']
  file_line '_etc_audit_audit_rules_b32_204559' do
    path node['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b32_Path']
    match node['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b32_Regexp']
    line node['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b32_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204559']['Manage']
  file_line '_etc_audit_audit_rules_b64_204559' do
    path node['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b64_Path']
    match node['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b64_Regexp']
    line node['rhel7STIG']['stigrule_204559']['Setting']['_etc_audit_audit_rules_b64_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204565']['Manage']
  file_line '_etc_audit_audit_rules_204565' do
    path node['rhel7STIG']['stigrule_204565']['Setting']['_etc_audit_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204565']['Setting']['_etc_audit_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204565']['Setting']['_etc_audit_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204566']['Manage']
  file_line '_etc_audit_audit_rules_204566' do
    path node['rhel7STIG']['stigrule_204566']['Setting']['_etc_audit_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204566']['Setting']['_etc_audit_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204566']['Setting']['_etc_audit_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204567']['Manage']
  file_line '_etc_audit_audit_rules_204567' do
    path node['rhel7STIG']['stigrule_204567']['Setting']['_etc_audit_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204567']['Setting']['_etc_audit_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204567']['Setting']['_etc_audit_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204568']['Manage']
  file_line '_etc_audit_audit_rules_204568' do
    path node['rhel7STIG']['stigrule_204568']['Setting']['_etc_audit_audit_rules_Path']
    match node['rhel7STIG']['stigrule_204568']['Setting']['_etc_audit_audit_rules_Regexp']
    line node['rhel7STIG']['stigrule_204568']['Setting']['_etc_audit_audit_rules_Line']
    notifies :run, 'execute[auditd_restart]', :delayed
  end
end
if node['rhel7STIG']['stigrule_204576']['Manage']
  file_line '_etc_security_limits_conf_204576' do
    path node['rhel7STIG']['stigrule_204576']['Setting']['_etc_security_limits_conf_Path']
    match node['rhel7STIG']['stigrule_204576']['Setting']['_etc_security_limits_conf_Regexp']
    line node['rhel7STIG']['stigrule_204576']['Setting']['_etc_security_limits_conf_Line']
  end
end
if node['rhel7STIG']['stigrule_204578']['Manage']
  file_line 'Ciphers_204578' do
    path node['rhel7STIG']['stigrule_204578']['Setting']['Ciphers_Path']
    match node['rhel7STIG']['stigrule_204578']['Setting']['Ciphers_Regexp']
    line node['rhel7STIG']['stigrule_204578']['Setting']['Ciphers_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204578']['Setting']['Ciphers_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204579']['Manage']
  file '_etc_profile_d_tmout_sh_204579' do
    path node['rhel7STIG']['stigrule_204579']['Setting']['_etc_profile_d_tmout_sh_Path']
    content node['rhel7STIG']['stigrule_204579']['Setting']['_etc_profile_d_tmout_sh_Content']
  end
end
if node['rhel7STIG']['stigrule_204580']['Manage']
  file_line 'banner_204580' do
    path node['rhel7STIG']['stigrule_204580']['Setting']['banner_Path']
    match node['rhel7STIG']['stigrule_204580']['Setting']['banner_Regexp']
    line node['rhel7STIG']['stigrule_204580']['Setting']['banner_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204580']['Setting']['banner_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204584']['Manage']
  sysctl 'kernel_randomize_va_space_204584' do
    key node['rhel7STIG']['stigrule_204584']['Setting']['kernel_randomize_va_space_Key']
    value node['rhel7STIG']['stigrule_204584']['Setting']['kernel_randomize_va_space_Value']
  end
end
if node['rhel7STIG']['stigrule_204585']['Manage']
  yum_package 'openssh_clients_x86_64_204585' do
    package_name node['rhel7STIG']['stigrule_204585']['Setting']['openssh_clients_x86_64_PackageName']
    action node['rhel7STIG']['stigrule_204585']['Setting']['openssh_clients_x86_64_Action']
  end
end
if node['rhel7STIG']['stigrule_204585']['Manage']
  yum_package 'openssh_server_x86_64_204585' do
    package_name node['rhel7STIG']['stigrule_204585']['Setting']['openssh_server_x86_64_PackageName']
    action node['rhel7STIG']['stigrule_204585']['Setting']['openssh_server_x86_64_Action']
  end
end
if node['rhel7STIG']['stigrule_204586']['Manage']
  service 'sshd_enable_204586' do
    service_name node['rhel7STIG']['stigrule_204586']['Setting']['sshd_enable_ServiceName']
    action node['rhel7STIG']['stigrule_204586']['Setting']['sshd_enable_Action']
  end
end
if node['rhel7STIG']['stigrule_204586']['Manage']
  service 'sshd_start_204586' do
    service_name node['rhel7STIG']['stigrule_204586']['Setting']['sshd_start_ServiceName']
    action node['rhel7STIG']['stigrule_204586']['Setting']['sshd_start_Action']
  end
end
if node['rhel7STIG']['stigrule_204587']['Manage']
  file_line 'ClientAliveInterval_204587' do
    path node['rhel7STIG']['stigrule_204587']['Setting']['ClientAliveInterval_Path']
    match node['rhel7STIG']['stigrule_204587']['Setting']['ClientAliveInterval_Regexp']
    line node['rhel7STIG']['stigrule_204587']['Setting']['ClientAliveInterval_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204587']['Setting']['ClientAliveInterval_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204588']['Manage']
  file_line 'RhostsRSAAuthentication_204588' do
    path node['rhel7STIG']['stigrule_204588']['Setting']['RhostsRSAAuthentication_Path']
    match node['rhel7STIG']['stigrule_204588']['Setting']['RhostsRSAAuthentication_Regexp']
    line node['rhel7STIG']['stigrule_204588']['Setting']['RhostsRSAAuthentication_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204588']['Setting']['RhostsRSAAuthentication_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204589']['Manage']
  file_line 'ClientAliveCountMax_204589' do
    path node['rhel7STIG']['stigrule_204589']['Setting']['ClientAliveCountMax_Path']
    match node['rhel7STIG']['stigrule_204589']['Setting']['ClientAliveCountMax_Regexp']
    line node['rhel7STIG']['stigrule_204589']['Setting']['ClientAliveCountMax_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204589']['Setting']['ClientAliveCountMax_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204590']['Manage']
  file_line 'IgnoreRhosts_204590' do
    path node['rhel7STIG']['stigrule_204590']['Setting']['IgnoreRhosts_Path']
    match node['rhel7STIG']['stigrule_204590']['Setting']['IgnoreRhosts_Regexp']
    line node['rhel7STIG']['stigrule_204590']['Setting']['IgnoreRhosts_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204590']['Setting']['IgnoreRhosts_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204591']['Manage']
  file_line 'PrintLastLog_204591' do
    path node['rhel7STIG']['stigrule_204591']['Setting']['PrintLastLog_Path']
    match node['rhel7STIG']['stigrule_204591']['Setting']['PrintLastLog_Regexp']
    line node['rhel7STIG']['stigrule_204591']['Setting']['PrintLastLog_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204591']['Setting']['PrintLastLog_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204592']['Manage']
  file_line 'PermitRootLogin_204592' do
    path node['rhel7STIG']['stigrule_204592']['Setting']['PermitRootLogin_Path']
    match node['rhel7STIG']['stigrule_204592']['Setting']['PermitRootLogin_Regexp']
    line node['rhel7STIG']['stigrule_204592']['Setting']['PermitRootLogin_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204592']['Setting']['PermitRootLogin_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204593']['Manage']
  file_line 'IgnoreUserKnownHosts_204593' do
    path node['rhel7STIG']['stigrule_204593']['Setting']['IgnoreUserKnownHosts_Path']
    match node['rhel7STIG']['stigrule_204593']['Setting']['IgnoreUserKnownHosts_Regexp']
    line node['rhel7STIG']['stigrule_204593']['Setting']['IgnoreUserKnownHosts_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204593']['Setting']['IgnoreUserKnownHosts_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204594']['Manage']
  file_line 'Protocol_204594' do
    path node['rhel7STIG']['stigrule_204594']['Setting']['Protocol_Path']
    match node['rhel7STIG']['stigrule_204594']['Setting']['Protocol_Regexp']
    line node['rhel7STIG']['stigrule_204594']['Setting']['Protocol_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204594']['Setting']['Protocol_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204595']['Manage']
  file_line 'MACs_204595' do
    path node['rhel7STIG']['stigrule_204595']['Setting']['MACs_Path']
    match node['rhel7STIG']['stigrule_204595']['Setting']['MACs_Regexp']
    line node['rhel7STIG']['stigrule_204595']['Setting']['MACs_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204595']['Setting']['MACs_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204598']['Manage']
  file_line 'GSSAPIAuthentication_204598' do
    path node['rhel7STIG']['stigrule_204598']['Setting']['GSSAPIAuthentication_Path']
    match node['rhel7STIG']['stigrule_204598']['Setting']['GSSAPIAuthentication_Regexp']
    line node['rhel7STIG']['stigrule_204598']['Setting']['GSSAPIAuthentication_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204598']['Setting']['GSSAPIAuthentication_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204599']['Manage']
  file_line 'KerberosAuthentication_204599' do
    path node['rhel7STIG']['stigrule_204599']['Setting']['KerberosAuthentication_Path']
    match node['rhel7STIG']['stigrule_204599']['Setting']['KerberosAuthentication_Regexp']
    line node['rhel7STIG']['stigrule_204599']['Setting']['KerberosAuthentication_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204599']['Setting']['KerberosAuthentication_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204600']['Manage']
  file_line 'StrictModes_204600' do
    path node['rhel7STIG']['stigrule_204600']['Setting']['StrictModes_Path']
    match node['rhel7STIG']['stigrule_204600']['Setting']['StrictModes_Regexp']
    line node['rhel7STIG']['stigrule_204600']['Setting']['StrictModes_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204600']['Setting']['StrictModes_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204601']['Manage']
  file_line 'UsePrivilegeSeparation_204601' do
    path node['rhel7STIG']['stigrule_204601']['Setting']['UsePrivilegeSeparation_Path']
    match node['rhel7STIG']['stigrule_204601']['Setting']['UsePrivilegeSeparation_Regexp']
    line node['rhel7STIG']['stigrule_204601']['Setting']['UsePrivilegeSeparation_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204601']['Setting']['UsePrivilegeSeparation_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204602']['Manage']
  file_line 'Compression_204602' do
    path node['rhel7STIG']['stigrule_204602']['Setting']['Compression_Path']
    match node['rhel7STIG']['stigrule_204602']['Setting']['Compression_Regexp']
    line node['rhel7STIG']['stigrule_204602']['Setting']['Compression_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204602']['Setting']['Compression_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204604']['Manage']
  yum_package 'firewalld_service_204604' do
    package_name node['rhel7STIG']['stigrule_204604']['Setting']['firewalld_service_PackageName']
    action node['rhel7STIG']['stigrule_204604']['Setting']['firewalld_service_Action']
  end
end
if node['rhel7STIG']['stigrule_204604']['Manage']
  service 'firewalld_active_204604' do
    service_name node['rhel7STIG']['stigrule_204604']['Setting']['firewalld_active_ServiceName']
    action node['rhel7STIG']['stigrule_204604']['Setting']['firewalld_active_Action']
  end
end
if node['rhel7STIG']['stigrule_204604']['Manage']
  service 'firewalld_start_204604' do
    service_name node['rhel7STIG']['stigrule_204604']['Setting']['firewalld_start_ServiceName']
    action node['rhel7STIG']['stigrule_204604']['Setting']['firewalld_start_Action']
  end
end
if node['rhel7STIG']['stigrule_204609']['Manage']
  sysctl 'net_ipv4_conf_all_accept_source_route_204609' do
    key node['rhel7STIG']['stigrule_204609']['Setting']['net_ipv4_conf_all_accept_source_route_Key']
    value node['rhel7STIG']['stigrule_204609']['Setting']['net_ipv4_conf_all_accept_source_route_Value']
  end
end
if node['rhel7STIG']['stigrule_204610']['Manage']
  sysctl 'net_ipv4_conf_all_rp_filter_204610' do
    key node['rhel7STIG']['stigrule_204610']['Setting']['net_ipv4_conf_all_rp_filter_Key']
    value node['rhel7STIG']['stigrule_204610']['Setting']['net_ipv4_conf_all_rp_filter_Value']
  end
end
if node['rhel7STIG']['stigrule_204610']['Manage']
  sysctl 'net_ipv4_conf_default_rp_filter_204610' do
    key node['rhel7STIG']['stigrule_204610']['Setting']['net_ipv4_conf_default_rp_filter_Key']
    value node['rhel7STIG']['stigrule_204610']['Setting']['net_ipv4_conf_default_rp_filter_Value']
  end
end
if node['rhel7STIG']['stigrule_204612']['Manage']
  sysctl 'net_ipv4_conf_default_accept_source_route_204612' do
    key node['rhel7STIG']['stigrule_204612']['Setting']['net_ipv4_conf_default_accept_source_route_Key']
    value node['rhel7STIG']['stigrule_204612']['Setting']['net_ipv4_conf_default_accept_source_route_Value']
  end
end
if node['rhel7STIG']['stigrule_204613']['Manage']
  sysctl 'net_ipv4_icmp_echo_ignore_broadcasts_204613' do
    key node['rhel7STIG']['stigrule_204613']['Setting']['net_ipv4_icmp_echo_ignore_broadcasts_Key']
    value node['rhel7STIG']['stigrule_204613']['Setting']['net_ipv4_icmp_echo_ignore_broadcasts_Value']
  end
end
if node['rhel7STIG']['stigrule_204614']['Manage']
  sysctl 'net_ipv4_conf_default_accept_redirects_204614' do
    key node['rhel7STIG']['stigrule_204614']['Setting']['net_ipv4_conf_default_accept_redirects_Key']
    value node['rhel7STIG']['stigrule_204614']['Setting']['net_ipv4_conf_default_accept_redirects_Value']
  end
end
if node['rhel7STIG']['stigrule_204615']['Manage']
  sysctl 'net_ipv4_conf_all_accept_redirects_204615' do
    key node['rhel7STIG']['stigrule_204615']['Setting']['net_ipv4_conf_all_accept_redirects_Key']
    value node['rhel7STIG']['stigrule_204615']['Setting']['net_ipv4_conf_all_accept_redirects_Value']
  end
end
if node['rhel7STIG']['stigrule_204616']['Manage']
  sysctl 'net_ipv4_conf_default_send_redirects_204616' do
    key node['rhel7STIG']['stigrule_204616']['Setting']['net_ipv4_conf_default_send_redirects_Key']
    value node['rhel7STIG']['stigrule_204616']['Setting']['net_ipv4_conf_default_send_redirects_Value']
  end
end
if node['rhel7STIG']['stigrule_204617']['Manage']
  sysctl 'net_ipv4_conf_all_send_redirects_204617' do
    key node['rhel7STIG']['stigrule_204617']['Setting']['net_ipv4_conf_all_send_redirects_Key']
    value node['rhel7STIG']['stigrule_204617']['Setting']['net_ipv4_conf_all_send_redirects_Value']
  end
end
if node['rhel7STIG']['stigrule_204619']['Manage']
  execute 'postconf__e__smtpd_client_restrictions___permit_mynetworks_reject__204619' do
    command node['rhel7STIG']['stigrule_204619']['Setting']['postconf__e__smtpd_client_restrictions___permit_mynetworks_reject__Command']
    only_if node['rhel7STIG']['stigrule_204619']['Setting']['postconf__e__smtpd_client_restrictions___permit_mynetworks_reject__Only_if']
  end
end
if node['rhel7STIG']['stigrule_204620']['Manage']
  yum_package 'vsftpd_204620' do
    package_name node['rhel7STIG']['stigrule_204620']['Setting']['vsftpd_PackageName']
    action node['rhel7STIG']['stigrule_204620']['Setting']['vsftpd_Action']
  end
end
if node['rhel7STIG']['stigrule_204621']['Manage']
  yum_package 'tftp_server_204621' do
    package_name node['rhel7STIG']['stigrule_204621']['Setting']['tftp_server_PackageName']
    action node['rhel7STIG']['stigrule_204621']['Setting']['tftp_server_Action']
  end
end
if node['rhel7STIG']['stigrule_204622']['Manage']
  file_line 'X11Forwarding_204622' do
    path node['rhel7STIG']['stigrule_204622']['Setting']['X11Forwarding_Path']
    match node['rhel7STIG']['stigrule_204622']['Setting']['X11Forwarding_Regexp']
    line node['rhel7STIG']['stigrule_204622']['Setting']['X11Forwarding_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_204622']['Setting']['X11Forwarding_Only_if']
  end
end
if node['rhel7STIG']['stigrule_204624']['Manage']
  yum_package 'xorg_x11_server_common_204624' do
    package_name node['rhel7STIG']['stigrule_204624']['Setting']['xorg_x11_server_common_PackageName']
    action node['rhel7STIG']['stigrule_204624']['Setting']['xorg_x11_server_common_Action']
  end
end
if node['rhel7STIG']['stigrule_204625']['Manage']
  sysctl 'net_ipv4_ip_forward_204625' do
    key node['rhel7STIG']['stigrule_204625']['Setting']['net_ipv4_ip_forward_Key']
    value node['rhel7STIG']['stigrule_204625']['Setting']['net_ipv4_ip_forward_Value']
  end
end
if node['rhel7STIG']['stigrule_204630']['Manage']
  sysctl 'net_ipv6_conf_all_accept_source_route_204630' do
    key node['rhel7STIG']['stigrule_204630']['Setting']['net_ipv6_conf_all_accept_source_route_Key']
    value node['rhel7STIG']['stigrule_204630']['Setting']['net_ipv6_conf_all_accept_source_route_Value']
  end
end
if node['rhel7STIG']['stigrule_204631']['Manage']
  yum_package 'pam_pkcs11_204631' do
    package_name node['rhel7STIG']['stigrule_204631']['Setting']['pam_pkcs11_PackageName']
    action node['rhel7STIG']['stigrule_204631']['Setting']['pam_pkcs11_Action']
  end
end
if node['rhel7STIG']['stigrule_204634']['Manage']
  execute 'nmcli_radio_wifi_off_204634' do
    command node['rhel7STIG']['stigrule_204634']['Setting']['nmcli_radio_wifi_off_Command']
    only_if node['rhel7STIG']['stigrule_204634']['Setting']['nmcli_radio_wifi_off_Only_if']
  end
end
if node['rhel7STIG']['stigrule_233307']['Manage']
  file_line 'X11UseLocalhost_233307' do
    path node['rhel7STIG']['stigrule_233307']['Setting']['X11UseLocalhost_Path']
    match node['rhel7STIG']['stigrule_233307']['Setting']['X11UseLocalhost_Regexp']
    line node['rhel7STIG']['stigrule_233307']['Setting']['X11UseLocalhost_Line']
    notifies :restart, 'service[ssh_restart]', :delayed
    only_if node['rhel7STIG']['stigrule_233307']['Setting']['X11UseLocalhost_Only_if']
  end
end
if node['rhel7STIG']['XCCDF_result']['Manage']
  cookbook_file "#{Chef::Config[:file_cache_path]}/stig_xml.rb" do
    source 'stig_xml.rb'
  end
  cookbook_file "#{Chef::Config[:file_cache_path]}/U_RHEL_7_STIG_V3R8_Manual-xccdf.xml" do
    source 'U_RHEL_7_STIG_V3R8_Manual-xccdf.xml'
  end
  chef_handler 'Chef::Handler::StigXml' do
    source "#{Chef::Config[:file_cache_path]}/stig_xml.rb"
    arguments :stigName => 'U_RHEL_7_STIG_V3R8_Manual-xccdf.xml'
  end
end